"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.check = void 0;
const typia_1 = __importDefault(require("typia"));
const check = (input) => {
    const errors = [];
    const __is = (input, _exceptionable = true) => {
        const $is_custom = typia_1.default.createValidateEquals.is_custom;
        const $join = typia_1.default.createValidateEquals.join;
        const $ip0 = (input, _exceptionable = true) => {
            const array = input;
            const top = input[0];
            if (0 === input.length)
                return true;
            const arrayPredicators = [
                [
                    (top) => "object" === typeof top && null !== top && false === Array.isArray(top) && $io34(top, false && _exceptionable),
                    (entire) => entire.every((elem, _index7) => "object" === typeof elem && null !== elem && false === Array.isArray(elem) && $io34(elem, true && _exceptionable))
                ],
                [
                    (top) => "object" === typeof top && null !== top && false === Array.isArray(top) && $io46(top, false && _exceptionable),
                    (entire) => entire.every((elem, _index8) => "object" === typeof elem && null !== elem && false === Array.isArray(elem) && $io46(elem, true && _exceptionable))
                ]
            ];
            const passed = arrayPredicators.filter(pred => pred[0](top));
            if (1 === passed.length)
                return passed[0][1](array);
            else if (1 < passed.length)
                for (const pred of passed)
                    if (array.every((value) => true === pred[0](value)))
                        return pred[1](array);
            return false;
        };
        const $io0 = (input, _exceptionable = true) => (undefined === input.$schema || "string" === typeof input.$schema) && (undefined === input.configMeta || "object" === typeof input.configMeta && null !== input.configMeta && false === Array.isArray(input.configMeta) && $io1(input.configMeta, true && _exceptionable)) && (undefined === input.meta || "object" === typeof input.meta && null !== input.meta && $io23(input.meta, true && _exceptionable)) && (undefined === input.defaultStyles || "object" === typeof input.defaultStyles && null !== input.defaultStyles && false === Array.isArray(input.defaultStyles) && $io30(input.defaultStyles, true && _exceptionable)) && (undefined === input.mpOrigin || "string" === typeof input.mpOrigin) && (undefined === input.name || "string" === typeof input.name && 214 >= input.name.length && 1 <= input.name.length) && true && (undefined === input.events || Array.isArray(input.events) && $is_custom("default", "array", "[]", input.events) && input.events.every((elem, _index1) => "object" === typeof elem && null !== elem && $io28(elem, true && _exceptionable))) && (undefined === input.classes || Array.isArray(input.classes) && input.classes.every((elem, _index2) => "object" === typeof elem && null !== elem && $io31(elem, true && _exceptionable))) && true && (undefined === input.methods || Array.isArray(input.methods) && $is_custom("default", "array", "[]", input.methods) && input.methods.every((elem, _index3) => "object" === typeof elem && null !== elem && $io32(elem, true && _exceptionable))) && (undefined === input.compConfig || "object" === typeof input.compConfig && null !== input.compConfig && false === Array.isArray(input.compConfig) && $io33(input.compConfig, true && _exceptionable)) && (undefined === input.platforms || Array.isArray(input.platforms) && input.platforms.every((elem, _index4) => "string" === typeof elem)) && true && (undefined === input.isContainer || "boolean" === typeof input.isContainer) && (undefined === input.items || Array.isArray(input.items) && ($ip0(input.items, true && _exceptionable) || false)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["$schema", "configMeta", "meta", "defaultStyles", "mpOrigin", "name", "data", "events", "classes", "properties", "methods", "compConfig", "platforms", "extra", "isContainer", "items"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io1 = (input, _exceptionable = true) => (undefined === input.name || "string" === typeof input.name) && (undefined === input.componentName || "string" === typeof input.componentName) && (undefined === input.title || "string" === typeof input.title) && (undefined === input.description || "string" === typeof input.description) && (undefined === input.icon || "string" === typeof input.icon) && (undefined === input.category || "string" === typeof input.category) && (undefined === input.componentOrder || "number" === typeof input.componentOrder && 1 <= input.componentOrder && 10000 >= input.componentOrder) && (undefined === input.platform || Array.isArray(input.platform) && input.platform.every((elem, _index9) => "WEB" === elem || "MOBILE" === elem || "MP" === elem || "PCWEB" === elem || "MOBILEWEB" === elem)) && (undefined === input.visible || Array.isArray(input.visible) && input.visible.every((elem, _index10) => "APP" === elem || "COMPONENT" === elem)) && (undefined === input.templates || Array.isArray(input.templates) && input.templates.every((elem, _index11) => "object" === typeof elem && null !== elem && false === Array.isArray(elem) && $io2(elem, true && _exceptionable))) && (undefined === input.deprecated || "boolean" === typeof input.deprecated) && (undefined === input.renderMode || Array.isArray(input.renderMode) && input.renderMode.every((elem, _index12) => "object" === typeof elem && null !== elem && $io3(elem, true && _exceptionable))) && (undefined === input.docsUrl || "string" === typeof input.docsUrl && (RegExp(/^http:\/\/(.*)/).test(input.docsUrl) || RegExp(/^https:\/\/(.*)/).test(input.docsUrl))) && (undefined === input.shortcut || "object" === typeof input.shortcut && null !== input.shortcut && false === Array.isArray(input.shortcut) && $io5(input.shortcut, true && _exceptionable)) && (undefined === input.contextData || "object" === typeof input.contextData && null !== input.contextData && false === Array.isArray(input.contextData) && $io9(input.contextData, true && _exceptionable)) && (undefined === input.positionConstraint || "object" === typeof input.positionConstraint && null !== input.positionConstraint && false === Array.isArray(input.positionConstraint) && $io10(input.positionConstraint, true && _exceptionable)) && (undefined === input.keyWords || Array.isArray(input.keyWords) && input.keyWords.every((elem, _index13) => "string" === typeof elem)) && (undefined === input.propertyPanelTips || "string" === typeof input.propertyPanelTips) && (undefined === input.stylePanelTips || "string" === typeof input.stylePanelTips) && (undefined === input.disableUpgradeAll || "boolean" === typeof input.disableUpgradeAll) && (undefined === input.validate || Array.isArray(input.validate) && input.validate.every((elem, _index14) => "object" === typeof elem && null !== elem && $io13(elem, true && _exceptionable))) && (undefined === input.inlineStyleForm || "object" === typeof input.inlineStyleForm && null !== input.inlineStyleForm && false === Array.isArray(input.inlineStyleForm) && $iu0(input.inlineStyleForm, true && _exceptionable)) && (undefined === input.group || "object" === typeof input.group && null !== input.group && false === Array.isArray(input.group) && $io18(input.group, true && _exceptionable)) && (undefined === input.previewImageUrl || "string" === typeof input.previewImageUrl) && (undefined === input.componentType || "string" === typeof input.componentType) && (undefined === input.previewOperation || "object" === typeof input.previewOperation && null !== input.previewOperation && $io20(input.previewOperation, true && _exceptionable)) && (undefined === input.recommendTypes || "object" === typeof input.recommendTypes && null !== input.recommendTypes && $io22(input.recommendTypes, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "componentName", "title", "description", "icon", "category", "componentOrder", "platform", "visible", "templates", "deprecated", "renderMode", "docsUrl", "shortcut", "contextData", "positionConstraint", "keyWords", "propertyPanelTips", "stylePanelTips", "disableUpgradeAll", "validate", "inlineStyleForm", "group", "previewImageUrl", "componentType", "previewOperation", "recommendTypes"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io2 = (input, _exceptionable = true) => (undefined === input.to || "string" === typeof input.to) && (undefined === input.when || "string" === typeof input.when) && (undefined === input.body || "string" === typeof input.body) && (undefined === input.autoSelectPath || "string" === typeof input.autoSelectPath && RegExp(/^template(.*)/).test(input.autoSelectPath)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["to", "when", "body", "autoSelectPath"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io3 = (input, _exceptionable = true) => "string" === typeof input.component && ("update" === input.renderType || "replace" === input.renderType) && (undefined === input.props || "object" === typeof input.props && null !== input.props && false === Array.isArray(input.props) && $io4(input.props, true && _exceptionable)) && (undefined === input.materialName || "string" === typeof input.materialName) && (undefined === input.description || "string" === typeof input.description) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["component", "renderType", "props", "materialName", "description"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io4 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "string" === typeof value;
            return false;
        });
        const $io5 = (input, _exceptionable = true) => (undefined === input.props || Array.isArray(input.props) && input.props.every((elem, _index15) => "string" === typeof elem)) && (undefined === input.extra || "object" === typeof input.extra && null !== input.extra && $io6(input.extra, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["props", "extra"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io6 = (input, _exceptionable = true) => "object" === typeof input.container && null !== input.container && $io7(input.container, true && _exceptionable) && Object.keys(input).every(key => {
            if (["container"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io8(value, true && _exceptionable);
            return false;
        });
        const $io7 = (input, _exceptionable = true) => "string" === typeof input["x-component"] && (Array.isArray(input["x-component-props"]) && input["x-component-props"].every((elem, _index16) => "string" === typeof elem)) && "number" === typeof input["x-index"] && (3 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["x-component", "x-component-props", "x-index"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io8 = (input, _exceptionable = true) => "container" === input["x-component"] && (undefined === input["x-component-props"] || Array.isArray(input["x-component-props"]) && input["x-component-props"].every((elem, _index17) => "string" === typeof elem)) && (undefined === input["x-index"] || "number" === typeof input["x-index"]) && (undefined === input["x-insert-path"] || "string" === typeof input["x-insert-path"]) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["x-component", "x-component-props", "x-index", "x-insert-path"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io9 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io10 = (input, _exceptionable = true) => (undefined === input.allowChildren || Array.isArray(input.allowChildren) && input.allowChildren.every((elem, _index18) => "object" === typeof elem && null !== elem && $io11(elem, true && _exceptionable))) && (undefined === input.allowParent || Array.isArray(input.allowParent) && input.allowParent.every((elem, _index19) => "object" === typeof elem && null !== elem && $io12(elem, true && _exceptionable))) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["allowChildren", "allowParent"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io11 = (input, _exceptionable = true) => "string" === typeof input.componentType && (undefined === input.recursive || "boolean" === typeof input.recursive) && (undefined === input.tip || "string" === typeof input.tip) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["componentType", "recursive", "tip"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io12 = (input, _exceptionable = true) => "string" === typeof input.componentType && "boolean" === typeof input.recursive && (undefined === input.tip || "string" === typeof input.tip) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["componentType", "recursive", "tip"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io13 = (input, _exceptionable = true) => "string" === typeof input.rule && (undefined === input.options || "object" === typeof input.options && null !== input.options && $io14(input.options, true && _exceptionable)) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["rule", "options"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io14 = (input, _exceptionable = true) => "string" === typeof input.title && "string" === typeof input.description && "string" === typeof input.type && (undefined === input.name || "string" === typeof input.name) && (undefined === input.label || "string" === typeof input.label) && (undefined === input.tooltip || "string" === typeof input.tooltip) && (undefined === input.version || "string" === typeof input.version) && (undefined === input.allowFailure || "boolean" === typeof input.allowFailure) && (undefined === input.matchedSelectedPlatform || Array.isArray(input.matchedSelectedPlatform) && input.matchedSelectedPlatform.every((elem, _index20) => "h5" === elem || "miniprogram" === elem || "pc" === elem)) && (undefined === input.matchedPublishedPlatform || Array.isArray(input.matchedPublishedPlatform) && input.matchedPublishedPlatform.every((elem, _index21) => "miniprogram" === elem || "web" === elem || "all" === elem)) && true && (undefined === input.action || "object" === typeof input.action && null !== input.action && false === Array.isArray(input.action) && $io9(input.action, true && _exceptionable)) && Object.keys(input).every(key => {
            if (["title", "description", "type", "name", "label", "tooltip", "version", "allowFailure", "matchedSelectedPlatform", "matchedPublishedPlatform", "extra", "action"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io15 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io16(value, true && _exceptionable);
            return false;
        });
        const $io16 = (input, _exceptionable = true) => "boolean" === typeof input.visible && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["visible"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io17 = (input, _exceptionable = true) => true === input.$blockedAll && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["$blockedAll"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io18 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io19(value, true && _exceptionable);
            return false;
        });
        const $io19 = (input, _exceptionable = true) => "number" === typeof input["x-index"] && "boolean" === typeof input.expand && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["x-index", "expand"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io20 = (input, _exceptionable = true) => (undefined === input.headerIcon || "string" === typeof input.headerIcon) && (Array.isArray(input.operation) && input.operation.every((elem, _index22) => "object" === typeof elem && null !== elem && $io21(elem, true && _exceptionable))) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["headerIcon", "operation"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io21 = (input, _exceptionable = true) => "string" === typeof input.icon && "string" === typeof input.title && "string" === typeof input.action && (3 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["icon", "title", "action"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io22 = (input, _exceptionable = true) => true && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io23 = (input, _exceptionable = true) => (undefined === input.name || "string" === typeof input.name) && (undefined === input.componentName || "string" === typeof input.componentName) && (undefined === input.title || "string" === typeof input.title) && (undefined === input.description || "string" === typeof input.description) && (undefined === input.icon || "string" === typeof input.icon) && "string" === typeof input.category && (undefined === input.componentOrder || "number" === typeof input.componentOrder && 1 <= input.componentOrder && 10000 >= input.componentOrder) && (undefined === input.platform || Array.isArray(input.platform) && input.platform.every((elem, _index23) => "WEB" === elem || "MOBILE" === elem || "MP" === elem || "PCWEB" === elem || "MOBILEWEB" === elem)) && (undefined === input.visible || Array.isArray(input.visible) && input.visible.every((elem, _index24) => "APP" === elem || "COMPONENT" === elem)) && (undefined === input.templates || Array.isArray(input.templates) && input.templates.every((elem, _index25) => "object" === typeof elem && null !== elem && false === Array.isArray(elem) && $io2(elem, true && _exceptionable))) && (undefined === input.deprecated || "boolean" === typeof input.deprecated) && (undefined === input.renderMode || Array.isArray(input.renderMode) && input.renderMode.every((elem, _index26) => "object" === typeof elem && null !== elem && $io3(elem, true && _exceptionable))) && (undefined === input.docsUrl || "string" === typeof input.docsUrl) && (undefined === input.shortcut || "object" === typeof input.shortcut && null !== input.shortcut && false === Array.isArray(input.shortcut) && $io24(input.shortcut, true && _exceptionable)) && (undefined === input.contextData || "object" === typeof input.contextData && null !== input.contextData && false === Array.isArray(input.contextData) && $io9(input.contextData, true && _exceptionable)) && (undefined === input.positionConstraint || "object" === typeof input.positionConstraint && null !== input.positionConstraint && false === Array.isArray(input.positionConstraint) && $io10(input.positionConstraint, true && _exceptionable)) && (undefined === input.keyWords || Array.isArray(input.keyWords) && input.keyWords.every((elem, _index27) => "string" === typeof elem)) && (undefined === input.propertyPanelTips || "string" === typeof input.propertyPanelTips) && (undefined === input.stylePanelTips || "string" === typeof input.stylePanelTips) && (undefined === input.disableUpgradeAll || "boolean" === typeof input.disableUpgradeAll) && (undefined === input.validate || Array.isArray(input.validate) && input.validate.every((elem, _index28) => "object" === typeof elem && null !== elem && $io13(elem, true && _exceptionable))) && (undefined === input.inlineStyleForm || "object" === typeof input.inlineStyleForm && null !== input.inlineStyleForm && false === Array.isArray(input.inlineStyleForm) && $iu0(input.inlineStyleForm, true && _exceptionable)) && (undefined === input.group || "object" === typeof input.group && null !== input.group && false === Array.isArray(input.group) && $io18(input.group, true && _exceptionable)) && (undefined === input.previewImageUrl || "string" === typeof input.previewImageUrl) && (undefined === input.componentType || "string" === typeof input.componentType) && (undefined === input.previewOperation || "object" === typeof input.previewOperation && null !== input.previewOperation && $io20(input.previewOperation, true && _exceptionable)) && (undefined === input.categoryOrder || "number" === typeof input.categoryOrder) && true && (undefined === input.recommendTypes || "object" === typeof input.recommendTypes && null !== input.recommendTypes && $io26(input.recommendTypes, true && _exceptionable)) && (undefined === input.selectableBlock || "object" === typeof input.selectableBlock && null !== input.selectableBlock && $io27(input.selectableBlock, true && _exceptionable)) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "componentName", "title", "description", "icon", "category", "componentOrder", "platform", "visible", "templates", "deprecated", "renderMode", "docsUrl", "shortcut", "contextData", "positionConstraint", "keyWords", "propertyPanelTips", "stylePanelTips", "disableUpgradeAll", "validate", "inlineStyleForm", "group", "previewImageUrl", "componentType", "previewOperation", "categoryOrder", "platforms", "recommendTypes", "selectableBlock"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io24 = (input, _exceptionable = true) => (undefined === input.props || Array.isArray(input.props) && input.props.every((elem, _index29) => "string" === typeof elem)) && (undefined === input.extra || "object" === typeof input.extra && null !== input.extra && false === Array.isArray(input.extra) && $io25(input.extra, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["props", "extra"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io25 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io8(value, true && _exceptionable);
            return false;
        });
        const $io26 = (input, _exceptionable = true) => true && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io27 = (input, _exceptionable = true) => Array.isArray(input.events) && input.events.every((elem, _index30) => "object" === typeof elem && null !== elem && $io28(elem, true && _exceptionable)) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["events"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io28 = (input, _exceptionable = true) => "string" === typeof input.name && "string" === typeof input.title && (undefined === input.description || "string" === typeof input.description) && (undefined === input["x-platforms"] || Array.isArray(input["x-platforms"]) && input["x-platforms"].every((elem, _index31) => "WEB" === elem || "MOBILE" === elem || "MP" === elem || "PCWEB" === elem || "MOBILEWEB" === elem)) && (undefined === input.detail || "object" === typeof input.detail && null !== input.detail && false === Array.isArray(input.detail) && $io29(input.detail, true && _exceptionable)) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "title", "description", "x-platforms", "detail"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io29 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io30 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "string" === typeof value || "number" === typeof value;
            return false;
        });
        const $io31 = (input, _exceptionable = true) => "string" === typeof input.name && "string" === typeof input.selector && (undefined === input.code || "string" === typeof input.code) && (undefined === input.description || "string" === typeof input.description) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "selector", "code", "description"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io32 = (input, _exceptionable = true) => "string" === typeof input.name && "string" === typeof input.label && true && (undefined === input["x-platforms"] || Array.isArray(input["x-platforms"]) && input["x-platforms"].every((elem, _index32) => "string" === typeof elem)) && (undefined === input.description || "string" === typeof input.description) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "label", "params", "x-platforms", "description"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io33 = (input, _exceptionable = true) => (undefined === input.isDataContainer || "boolean" === typeof input.isDataContainer) && (undefined === input.componentType || "string" === typeof input.componentType) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["isDataContainer", "componentType"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io34 = (input, _exceptionable = true) => (undefined === input.id || "string" === typeof input.id) && (undefined === input.name || "string" === typeof input.name) && (undefined === input.label || "string" === typeof input.label) && (undefined === input.module || "string" === typeof input.module) && (undefined === input.component || "string" === typeof input.component) && (undefined === input.type || "string" === typeof input.type) && true && (undefined === input.attributes || "object" === typeof input.attributes && null !== input.attributes && false === Array.isArray(input.attributes) && $io35(input.attributes, true && _exceptionable)) && (undefined === input.events || "object" === typeof input.events && null !== input.events && false === Array.isArray(input.events) && $io37(input.events, true && _exceptionable)) && (undefined === input.validity || "object" === typeof input.validity && null !== input.validity && false === Array.isArray(input.validity) && $io38(input.validity, true && _exceptionable)) && true && (undefined === input.items || Array.isArray(input.items) && input.items.every((elem, _index33) => "object" === typeof elem && null !== elem && false === Array.isArray(elem) && $io34(elem, true && _exceptionable))) && (undefined === input.resources || Array.isArray(input.resources) && input.resources.every((elem, _index34) => "object" === typeof elem && null !== elem && $io39(elem, true && _exceptionable))) && (undefined === input.listeners || Array.isArray(input.listeners) && input.listeners.every((elem, _index35) => "object" === typeof elem && null !== elem && $io40(elem, true && _exceptionable))) && (undefined === input.dataset || "object" === typeof input.dataset && null !== input.dataset && false === Array.isArray(input.dataset) && $io42(input.dataset, true && _exceptionable)) && (undefined === input[":class"] || "string" === typeof input[":class"]) && (undefined === input[":style"] || "string" === typeof input[":style"]) && (undefined === input.scopedStyle || "string" === typeof input.scopedStyle) && (undefined === input.directives || "object" === typeof input.directives && null !== input.directives && false === Array.isArray(input.directives) && $io45(input.directives, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["id", "name", "label", "module", "component", "type", "value", "attributes", "events", "validity", "extra", "items", "resources", "listeners", "dataset", ":class", ":style", "scopedStyle", "directives"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io35 = (input, _exceptionable = true) => (undefined === input["class"] || "string" === typeof input["class"]) && (undefined === input.style || "object" === typeof input.style && null !== input.style && false === Array.isArray(input.style) && $io36(input.style, true && _exceptionable)) && (undefined === input.hide || "boolean" === typeof input.hide) && Object.keys(input).every(key => {
            if (["class", "style", "hide"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io36 = (input, _exceptionable = true) => 0 === Object.keys(input).length || Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        });
        const $io37 = (input, _exceptionable = true) => (undefined === input.clickEventName || "string" === typeof input.clickEventName && $is_custom("default", "string", "'click'", input.clickEventName)) && (undefined === input.dblClickEventName || "string" === typeof input.dblClickEventName && $is_custom("default", "string", "'dbClick'", input.dblClickEventName)) && (undefined === input.mouseEnterEventName || "string" === typeof input.mouseEnterEventName && $is_custom("default", "string", "'mouseEnter'", input.mouseEnterEventName)) && (undefined === input.mouseLeaveEventName || "string" === typeof input.mouseLeaveEventName && $is_custom("default", "string", "'mouseLeave'", input.mouseLeaveEventName)) && (undefined === input.changeEventName || "string" === typeof input.changeEventName && $is_custom("default", "string", "'change'", input.changeEventName)) && (undefined === input.dragStartEventName || "string" === typeof input.dragStartEventName && $is_custom("default", "string", "'dragStart'", input.dragStartEventName)) && (undefined === input.dragEventName || "string" === typeof input.dragEventName && $is_custom("default", "string", "'drag'", input.dragEventName)) && (undefined === input.dragEndEventName || "string" === typeof input.dragEndEventName && $is_custom("default", "string", "'dragEnd'", input.dragEndEventName)) && (undefined === input.customEventName || "string" === typeof input.customEventName) && (undefined === input.lifecycleConnectedEventName || "string" === typeof input.lifecycleConnectedEventName) && (undefined === input.lifecycleDisconnectedEventName || "string" === typeof input.lifecycleDisconnectedEventName) && (undefined === input.lifecycleAdoptedEventName || "string" === typeof input.lifecycleAdoptedEventName) && (undefined === input.lifecycleAttributeChangedEventName || "string" === typeof input.lifecycleAttributeChangedEventName) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["clickEventName", "dblClickEventName", "mouseEnterEventName", "mouseLeaveEventName", "changeEventName", "dragStartEventName", "dragEventName", "dragEndEventName", "customEventName", "lifecycleConnectedEventName", "lifecycleDisconnectedEventName", "lifecycleAdoptedEventName", "lifecycleAttributeChangedEventName"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io38 = (input, _exceptionable = true) => (undefined === input.required || "boolean" === typeof input.required) && (undefined === input.format || "string" === typeof input.format) && (undefined === input.min || "number" === typeof input.min) && (undefined === input.max || "number" === typeof input.max) && (undefined === input.pattern || "string" === typeof input.pattern) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["required", "format", "min", "max", "pattern"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io39 = (input, _exceptionable = true) => "string" === typeof input.name && "string" === typeof input.type && Object.keys(input).every(key => {
            if (["name", "type"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io40 = (input, _exceptionable = true) => (undefined === input.id || "string" === typeof input.id) && (undefined === input.isCapturePhase || "boolean" === typeof input.isCapturePhase) && (undefined === input.type || "string" === typeof input.type) && (undefined === input.handler || "object" === typeof input.handler && null !== input.handler && $io41(input.handler, true && _exceptionable)) && "string" === typeof input.eventName && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["id", "isCapturePhase", "type", "handler", "eventName"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io41 = (input, _exceptionable = true) => "string" === typeof input.name && (undefined === input.module || "string" === typeof input.module) && (undefined === input.code || "string" === typeof input.code && $is_custom("deprecated", "string", "\u53EF\u9009\uFF0Chandler inline \u4EE3\u7801", input.code)) && (undefined === input[":code"] || "string" === typeof input[":code"]) && (null !== input.params && (undefined === input.params || (Array.isArray(input.params) || "object" === typeof input.params && null !== input.params && false === Array.isArray(input.params) && $io36(input.params, true && _exceptionable)))) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "module", "code", ":code", "params"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io42 = (input, _exceptionable = true) => (undefined === input.state || "object" === typeof input.state && null !== input.state && false === Array.isArray(input.state) && $io29(input.state, true && _exceptionable)) && (undefined === input.params || "object" === typeof input.params && null !== input.params && false === Array.isArray(input.params) && $io43(input.params, true && _exceptionable)) && (undefined === input.pageName || "string" === typeof input.pageName && $is_custom("deprecated", "string", "\u8BF7\u4F7F\u7528\u9875\u9762 attributes.title \u4EE3\u66FF", input.pageName)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["state", "params", "pageName"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io43 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io44(value, true && _exceptionable);
            return false;
        });
        const $io44 = (input, _exceptionable = true) => "string" === typeof input.label && (undefined === input.required || "boolean" === typeof input.required) && (undefined === input.sampleValue || "string" === typeof input.sampleValue) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["label", "required", "sampleValue"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io45 = (input, _exceptionable = true) => (undefined === input[":if"] || "string" === typeof input[":if"] && $is_custom("default", "string", "true", input[":if"]) || "boolean" === typeof input[":if"]) && (undefined === input[":display"] || "string" === typeof input[":display"] && $is_custom("default", "string", "true", input[":display"]) || "boolean" === typeof input[":display"]) && (undefined === input[":for"] || "string" === typeof input[":for"]) && (undefined === input.key || "string" === typeof input.key) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if ([":if", ":display", ":for", "key"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io46 = (input, _exceptionable = true) => (undefined === input.attributes || "object" === typeof input.attributes && null !== input.attributes && false === Array.isArray(input.attributes) && $io47(input.attributes, true && _exceptionable)) && (undefined === input.type || "BASIC" === input.type || "COMPLEX" === input.type || "PAGE" === input.type) && (undefined === input.listeners || Array.isArray(input.listeners) && input.listeners.every((elem, _index36) => "object" === typeof elem && null !== elem && $io48(elem, true && _exceptionable))) && (undefined === input.extra || "object" === typeof input.extra && null !== input.extra && false === Array.isArray(input.extra) && $io52(input.extra, true && _exceptionable)) && (undefined === input.items || Array.isArray(input.items) && input.items.every((elem, _index37) => "object" === typeof elem && null !== elem && false === Array.isArray(elem) && $io46(elem, true && _exceptionable))) && (undefined === input.name || "string" === typeof input.name) && (undefined === input.id || "string" === typeof input.id) && (undefined === input.label || "string" === typeof input.label) && (undefined === input.module || "string" === typeof input.module) && (undefined === input.component || "string" === typeof input.component) && (undefined === input.resources || Array.isArray(input.resources) && input.resources.every((elem, _index38) => "object" === typeof elem && null !== elem && $io39(elem, true && _exceptionable))) && (undefined === input.dataset || "object" === typeof input.dataset && null !== input.dataset && false === Array.isArray(input.dataset) && $io42(input.dataset, true && _exceptionable)) && (undefined === input[":class"] || "string" === typeof input[":class"]) && (undefined === input[":style"] || "string" === typeof input[":style"]) && (undefined === input.scopedStyle || "string" === typeof input.scopedStyle) && (undefined === input.directives || "object" === typeof input.directives && null !== input.directives && false === Array.isArray(input.directives) && $io45(input.directives, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["attributes", "type", "listeners", "extra", "items", "name", "id", "label", "module", "component", "resources", "dataset", ":class", ":style", "scopedStyle", "directives"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io47 = (input, _exceptionable = true) => (undefined === input.theme || "string" === typeof input.theme) && (undefined === input["class"] || "string" === typeof input["class"]) && (undefined === input.style || "object" === typeof input.style && null !== input.style && false === Array.isArray(input.style) && $io36(input.style, true && _exceptionable)) && (undefined === input.hide || "boolean" === typeof input.hide) && Object.keys(input).every(key => {
            if (["theme", "class", "style", "hide"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io48 = (input, _exceptionable = true) => "string" === typeof input.id && (undefined === input.description || "string" === typeof input.description) && (undefined === input.extra || "object" === typeof input.extra && null !== input.extra && false === Array.isArray(input.extra) && $io49(input.extra, true && _exceptionable)) && (undefined === input.isCapturePhase || "boolean" === typeof input.isCapturePhase) && (undefined === input.type || "string" === typeof input.type) && (undefined === input.handler || "object" === typeof input.handler && null !== input.handler && $io41(input.handler, true && _exceptionable)) && "string" === typeof input.eventName && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["id", "description", "extra", "isCapturePhase", "type", "handler", "eventName"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io49 = (input, _exceptionable = true) => (undefined === input.handlerParamExtraData || "object" === typeof input.handlerParamExtraData && null !== input.handlerParamExtraData && false === Array.isArray(input.handlerParamExtraData) && $io50(input.handlerParamExtraData, true && _exceptionable)) && (undefined === input.handlerAragsExtraData || "object" === typeof input.handlerAragsExtraData && null !== input.handlerAragsExtraData && false === Array.isArray(input.handlerAragsExtraData) && $io51(input.handlerAragsExtraData, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["handlerParamExtraData", "handlerAragsExtraData"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io50 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io51 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io52 = (input, _exceptionable = true) => (undefined === input.commonStyle || "object" === typeof input.commonStyle && null !== input.commonStyle && false === Array.isArray(input.commonStyle) && $io36(input.commonStyle, true && _exceptionable)) && (undefined === input.xIndex || "number" === typeof input.xIndex && $is_custom("deprecated", "number", "\u53EF\u9009\uFF0C\u7EC4\u4EF6\u987A\u5E8F formily x-index\nhttps://github.com/alibaba/formily/blob/master/packages/react-schema-renderer/README.md", input.xIndex)) && (undefined === input.staticResourceAttribute || Array.isArray(input.staticResourceAttribute) && input.staticResourceAttribute.every((elem, _index39) => "string" === typeof elem)) && (undefined === input.styleBindPath || "string" === typeof input.styleBindPath) && (undefined === input.hideAdminPortalMenu || "boolean" === typeof input.hideAdminPortalMenu) && (undefined === input.attributeExtraData || "object" === typeof input.attributeExtraData && null !== input.attributeExtraData && false === Array.isArray(input.attributeExtraData) && $io53(input.attributeExtraData, true && _exceptionable)) && (undefined === input.anchored || "boolean" === typeof input.anchored) && (undefined === input.dataForm || "object" === typeof input.dataForm && null !== input.dataForm && false === Array.isArray(input.dataForm) && $io54(input.dataForm, true && _exceptionable)) && (undefined === input.ref || "string" === typeof input.ref) && (undefined === input.refAttributes || "object" === typeof input.refAttributes && null !== input.refAttributes && false === Array.isArray(input.refAttributes) && $io47(input.refAttributes, true && _exceptionable)) && (undefined === input.include || Array.isArray(input.include) && input.include.every((elem, _index40) => "string" === typeof elem)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["commonStyle", "xIndex", "staticResourceAttribute", "styleBindPath", "hideAdminPortalMenu", "attributeExtraData", "anchored", "dataForm", "ref", "refAttributes", "include"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io53 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io54 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io55(value, true && _exceptionable);
            return false;
        });
        const $io55 = (input, _exceptionable = true) => "string" === typeof input.type && "string" === typeof input.title && Object.keys(input).every(key => {
            if (["type", "title"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $iu0 = (input, _exceptionable = true) => (() => {
            if (undefined !== input.$blockedAll)
                return $io17(input, true && _exceptionable);
            return $io15(input, true && _exceptionable);
        })();
        return "object" === typeof input && null !== input && false === Array.isArray(input) && $io0(input, true);
    };
    if (false === __is(input)) {
        const $report = typia_1.default.createValidateEquals.report(errors);
        ((input, _path, _exceptionable = true) => {
            const $is_custom = typia_1.default.createValidateEquals.is_custom;
            const $join = typia_1.default.createValidateEquals.join;
            const $vp0 = (input, _path, _exceptionable = true) => {
                const array = input;
                const top = input[0];
                if (0 === input.length)
                    return true;
                const arrayPredicators = [
                    [
                        (top) => "object" === typeof top && null !== top && false === Array.isArray(top) && $vo34(top, _path + "[0]", false && _exceptionable),
                        (entire) => entire.map((elem, _index7) => ("object" === typeof elem && null !== elem && false === Array.isArray(elem) || $report(_exceptionable, {
                            path: _path + "[" + _index7 + "]",
                            expected: "IComponent",
                            value: elem
                        })) && $vo34(elem, _path + "[" + _index7 + "]", true && _exceptionable) || $report(_exceptionable, {
                            path: _path + "[" + _index7 + "]",
                            expected: "IComponent",
                            value: elem
                        })).every((flag) => flag)
                    ],
                    [
                        (top) => "object" === typeof top && null !== top && false === Array.isArray(top) && $vo46(top, _path + "[0]", false && _exceptionable),
                        (entire) => entire.map((elem, _index8) => ("object" === typeof elem && null !== elem && false === Array.isArray(elem) || $report(_exceptionable, {
                            path: _path + "[" + _index8 + "]",
                            expected: "IPlatformComponent",
                            value: elem
                        })) && $vo46(elem, _path + "[" + _index8 + "]", true && _exceptionable) || $report(_exceptionable, {
                            path: _path + "[" + _index8 + "]",
                            expected: "IPlatformComponent",
                            value: elem
                        })).every((flag) => flag)
                    ]
                ];
                const passed = arrayPredicators.filter(pred => pred[0](top));
                if (1 === passed.length)
                    return passed[0][1](array);
                else if (1 < passed.length)
                    for (const pred of passed)
                        if (array.every((value) => true === pred[0](value)))
                            return pred[1](array);
                return $report(_exceptionable, {
                    path: _path,
                    expected: "(Array<IComponent> | Array<IPlatformComponent>)",
                    value: input
                });
            };
            const $vo0 = (input, _path, _exceptionable = true) => [undefined === input.$schema || "string" === typeof input.$schema || $report(_exceptionable, {
                    path: _path + ".$schema",
                    expected: "(string | undefined)",
                    value: input.$schema
                }), undefined === input.configMeta || ("object" === typeof input.configMeta && null !== input.configMeta && false === Array.isArray(input.configMeta) || $report(_exceptionable, {
                    path: _path + ".configMeta",
                    expected: "(Partial<{ name?: string | undefined; componentName?: string | undefined; title?: string | undefined; description?: string | undefined; icon?: string | undefined; category: string; componentOrder?: number | undefined; ... 18 more ...; previewOperation?: { ...; } | undefined; }> & { ...; } | undefined)",
                    value: input.configMeta
                })) && $vo1(input.configMeta, _path + ".configMeta", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".configMeta",
                    expected: "(Partial<{ name?: string | undefined; componentName?: string | undefined; title?: string | undefined; description?: string | undefined; icon?: string | undefined; category: string; componentOrder?: number | undefined; ... 18 more ...; previewOperation?: { ...; } | undefined; }> & { ...; } | undefined)",
                    value: input.configMeta
                }), undefined === input.meta || ("object" === typeof input.meta && null !== input.meta || $report(_exceptionable, {
                    path: _path + ".meta",
                    expected: "(undefined | { name?: string | undefined; componentName?: string | undefined; title?: string | undefined; description?: string | undefined; icon?: string | undefined; category: string; componentOrder?: number | undefined; ... 18 more ...; previewOperation?: { ...; } | undefined; } & { ...; })",
                    value: input.meta
                })) && $vo23(input.meta, _path + ".meta", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".meta",
                    expected: "(undefined | { name?: string | undefined; componentName?: string | undefined; title?: string | undefined; description?: string | undefined; icon?: string | undefined; category: string; componentOrder?: number | undefined; ... 18 more ...; previewOperation?: { ...; } | undefined; } & { ...; })",
                    value: input.meta
                }), undefined === input.defaultStyles || ("object" === typeof input.defaultStyles && null !== input.defaultStyles && false === Array.isArray(input.defaultStyles) || $report(_exceptionable, {
                    path: _path + ".defaultStyles",
                    expected: "(Record<string, string | number> | undefined)",
                    value: input.defaultStyles
                })) && $vo30(input.defaultStyles, _path + ".defaultStyles", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".defaultStyles",
                    expected: "(Record<string, string | number> | undefined)",
                    value: input.defaultStyles
                }), undefined === input.mpOrigin || "string" === typeof input.mpOrigin || $report(_exceptionable, {
                    path: _path + ".mpOrigin",
                    expected: "(string | undefined)",
                    value: input.mpOrigin
                }), undefined === input.name || "string" === typeof input.name && (214 >= input.name.length || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string (@maxLength 214)",
                    value: input.name
                })) && (1 <= input.name.length || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string (@minLength 1)",
                    value: input.name
                })) || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), true, undefined === input.events || (Array.isArray(input.events) && ($is_custom("default", "array", "[]", input.events) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "Array (@default [])",
                    value: input.events
                })) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "(Array<IEvent> | undefined)",
                    value: input.events
                })) && input.events.map((elem, _index1) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".events[" + _index1 + "]",
                    expected: "IEvent",
                    value: elem
                })) && $vo28(elem, _path + ".events[" + _index1 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".events[" + _index1 + "]",
                    expected: "IEvent",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "(Array<IEvent> | undefined)",
                    value: input.events
                }), undefined === input.classes || (Array.isArray(input.classes) || $report(_exceptionable, {
                    path: _path + ".classes",
                    expected: "(Array<IClasses> | undefined)",
                    value: input.classes
                })) && input.classes.map((elem, _index2) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".classes[" + _index2 + "]",
                    expected: "IClasses",
                    value: elem
                })) && $vo31(elem, _path + ".classes[" + _index2 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".classes[" + _index2 + "]",
                    expected: "IClasses",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".classes",
                    expected: "(Array<IClasses> | undefined)",
                    value: input.classes
                }), true, undefined === input.methods || (Array.isArray(input.methods) && ($is_custom("default", "array", "[]", input.methods) || $report(_exceptionable, {
                    path: _path + ".methods",
                    expected: "Array (@default [])",
                    value: input.methods
                })) || $report(_exceptionable, {
                    path: _path + ".methods",
                    expected: "(Array<IMethod> | undefined)",
                    value: input.methods
                })) && input.methods.map((elem, _index3) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".methods[" + _index3 + "]",
                    expected: "IMethod",
                    value: elem
                })) && $vo32(elem, _path + ".methods[" + _index3 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".methods[" + _index3 + "]",
                    expected: "IMethod",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".methods",
                    expected: "(Array<IMethod> | undefined)",
                    value: input.methods
                }), undefined === input.compConfig || ("object" === typeof input.compConfig && null !== input.compConfig && false === Array.isArray(input.compConfig) || $report(_exceptionable, {
                    path: _path + ".compConfig",
                    expected: "(__type.o17 | undefined)",
                    value: input.compConfig
                })) && $vo33(input.compConfig, _path + ".compConfig", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".compConfig",
                    expected: "(__type.o17 | undefined)",
                    value: input.compConfig
                }), undefined === input.platforms || (Array.isArray(input.platforms) || $report(_exceptionable, {
                    path: _path + ".platforms",
                    expected: "(Array<string> | undefined)",
                    value: input.platforms
                })) && input.platforms.map((elem, _index4) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".platforms[" + _index4 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".platforms",
                    expected: "(Array<string> | undefined)",
                    value: input.platforms
                }), true, undefined === input.isContainer || "boolean" === typeof input.isContainer || $report(_exceptionable, {
                    path: _path + ".isContainer",
                    expected: "(boolean | undefined)",
                    value: input.isContainer
                }), undefined === input.items || (Array.isArray(input.items) || $report(_exceptionable, {
                    path: _path + ".items",
                    expected: "(Array<IComponent> | Array<IPlatformComponent> | undefined)",
                    value: input.items
                })) && ($vp0(input.items, _path + ".items", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".items",
                    expected: "Array<IComponent> | Array<IPlatformComponent>",
                    value: input.items
                })) || $report(_exceptionable, {
                    path: _path + ".items",
                    expected: "(Array<IComponent> | Array<IPlatformComponent> | undefined)",
                    value: input.items
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["$schema", "configMeta", "meta", "defaultStyles", "mpOrigin", "name", "data", "events", "classes", "properties", "methods", "compConfig", "platforms", "extra", "isContainer", "items"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo1 = (input, _path, _exceptionable = true) => [undefined === input.name || "string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), undefined === input.componentName || "string" === typeof input.componentName || $report(_exceptionable, {
                    path: _path + ".componentName",
                    expected: "(string | undefined)",
                    value: input.componentName
                }), undefined === input.title || "string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "(string | undefined)",
                    value: input.title
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), undefined === input.icon || "string" === typeof input.icon || $report(_exceptionable, {
                    path: _path + ".icon",
                    expected: "(string | undefined)",
                    value: input.icon
                }), undefined === input.category || "string" === typeof input.category || $report(_exceptionable, {
                    path: _path + ".category",
                    expected: "(string | undefined)",
                    value: input.category
                }), undefined === input.componentOrder || "number" === typeof input.componentOrder && (1 <= input.componentOrder || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "number (@minimum 1)",
                    value: input.componentOrder
                })) && (10000 >= input.componentOrder || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "number (@maximum 10000)",
                    value: input.componentOrder
                })) || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "(number | undefined)",
                    value: input.componentOrder
                }), undefined === input.platform || (Array.isArray(input.platform) || $report(_exceptionable, {
                    path: _path + ".platform",
                    expected: "(Array<\"WEB\" | \"MOBILE\" | \"MP\" | \"PCWEB\" | \"MOBILEWEB\"> | undefined)",
                    value: input.platform
                })) && input.platform.map((elem, _index9) => "WEB" === elem || "MOBILE" === elem || "MP" === elem || "PCWEB" === elem || "MOBILEWEB" === elem || $report(_exceptionable, {
                    path: _path + ".platform[" + _index9 + "]",
                    expected: "(\"MOBILE\" | \"MOBILEWEB\" | \"MP\" | \"PCWEB\" | \"WEB\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".platform",
                    expected: "(Array<\"WEB\" | \"MOBILE\" | \"MP\" | \"PCWEB\" | \"MOBILEWEB\"> | undefined)",
                    value: input.platform
                }), undefined === input.visible || (Array.isArray(input.visible) || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "(Array<VisibleItem> | undefined)",
                    value: input.visible
                })) && input.visible.map((elem, _index10) => "APP" === elem || "COMPONENT" === elem || $report(_exceptionable, {
                    path: _path + ".visible[" + _index10 + "]",
                    expected: "(\"APP\" | \"COMPONENT\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "(Array<VisibleItem> | undefined)",
                    value: input.visible
                }), undefined === input.templates || (Array.isArray(input.templates) || $report(_exceptionable, {
                    path: _path + ".templates",
                    expected: "(Array<ITemplate> | undefined)",
                    value: input.templates
                })) && input.templates.map((elem, _index11) => ("object" === typeof elem && null !== elem && false === Array.isArray(elem) || $report(_exceptionable, {
                    path: _path + ".templates[" + _index11 + "]",
                    expected: "ITemplate",
                    value: elem
                })) && $vo2(elem, _path + ".templates[" + _index11 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".templates[" + _index11 + "]",
                    expected: "ITemplate",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".templates",
                    expected: "(Array<ITemplate> | undefined)",
                    value: input.templates
                }), undefined === input.deprecated || "boolean" === typeof input.deprecated || $report(_exceptionable, {
                    path: _path + ".deprecated",
                    expected: "(boolean | undefined)",
                    value: input.deprecated
                }), undefined === input.renderMode || (Array.isArray(input.renderMode) || $report(_exceptionable, {
                    path: _path + ".renderMode",
                    expected: "(Array<IRenderMode> | undefined)",
                    value: input.renderMode
                })) && input.renderMode.map((elem, _index12) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".renderMode[" + _index12 + "]",
                    expected: "IRenderMode",
                    value: elem
                })) && $vo3(elem, _path + ".renderMode[" + _index12 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".renderMode[" + _index12 + "]",
                    expected: "IRenderMode",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".renderMode",
                    expected: "(Array<IRenderMode> | undefined)",
                    value: input.renderMode
                }), undefined === input.docsUrl || "string" === typeof input.docsUrl && (RegExp(/^http:\/\/(.*)/).test(input.docsUrl) || RegExp(/^https:\/\/(.*)/).test(input.docsUrl)) || $report(_exceptionable, {
                    path: _path + ".docsUrl",
                    expected: "(`http://${string}` | `https://${string}` | undefined)",
                    value: input.docsUrl
                }), undefined === input.shortcut || ("object" === typeof input.shortcut && null !== input.shortcut && false === Array.isArray(input.shortcut) || $report(_exceptionable, {
                    path: _path + ".shortcut",
                    expected: "(IShortcut & { props?: string[] | undefined; extra?: Record<\"container\", { 'x-component': string; 'x-component-props': string[]; 'x-index': number; }> | undefined; } | undefined)",
                    value: input.shortcut
                })) && $vo5(input.shortcut, _path + ".shortcut", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".shortcut",
                    expected: "(IShortcut & { props?: string[] | undefined; extra?: Record<\"container\", { 'x-component': string; 'x-component-props': string[]; 'x-index': number; }> | undefined; } | undefined)",
                    value: input.shortcut
                }), undefined === input.contextData || ("object" === typeof input.contextData && null !== input.contextData && false === Array.isArray(input.contextData) || $report(_exceptionable, {
                    path: _path + ".contextData",
                    expected: "(Record<string, unknown> | undefined)",
                    value: input.contextData
                })) && $vo9(input.contextData, _path + ".contextData", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".contextData",
                    expected: "(Record<string, unknown> | undefined)",
                    value: input.contextData
                }), undefined === input.positionConstraint || ("object" === typeof input.positionConstraint && null !== input.positionConstraint && false === Array.isArray(input.positionConstraint) || $report(_exceptionable, {
                    path: _path + ".positionConstraint",
                    expected: "(__type.o3 | undefined)",
                    value: input.positionConstraint
                })) && $vo10(input.positionConstraint, _path + ".positionConstraint", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".positionConstraint",
                    expected: "(__type.o3 | undefined)",
                    value: input.positionConstraint
                }), undefined === input.keyWords || (Array.isArray(input.keyWords) || $report(_exceptionable, {
                    path: _path + ".keyWords",
                    expected: "(Array<string> | undefined)",
                    value: input.keyWords
                })) && input.keyWords.map((elem, _index13) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".keyWords[" + _index13 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".keyWords",
                    expected: "(Array<string> | undefined)",
                    value: input.keyWords
                }), undefined === input.propertyPanelTips || "string" === typeof input.propertyPanelTips || $report(_exceptionable, {
                    path: _path + ".propertyPanelTips",
                    expected: "(string | undefined)",
                    value: input.propertyPanelTips
                }), undefined === input.stylePanelTips || "string" === typeof input.stylePanelTips || $report(_exceptionable, {
                    path: _path + ".stylePanelTips",
                    expected: "(string | undefined)",
                    value: input.stylePanelTips
                }), undefined === input.disableUpgradeAll || "boolean" === typeof input.disableUpgradeAll || $report(_exceptionable, {
                    path: _path + ".disableUpgradeAll",
                    expected: "(boolean | undefined)",
                    value: input.disableUpgradeAll
                }), undefined === input.validate || (Array.isArray(input.validate) || $report(_exceptionable, {
                    path: _path + ".validate",
                    expected: "(Array<__type>.o2 | undefined)",
                    value: input.validate
                })) && input.validate.map((elem, _index14) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".validate[" + _index14 + "]",
                    expected: "__type.o6",
                    value: elem
                })) && $vo13(elem, _path + ".validate[" + _index14 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".validate[" + _index14 + "]",
                    expected: "__type.o6",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".validate",
                    expected: "(Array<__type>.o2 | undefined)",
                    value: input.validate
                }), undefined === input.inlineStyleForm || ("object" === typeof input.inlineStyleForm && null !== input.inlineStyleForm && false === Array.isArray(input.inlineStyleForm) || $report(_exceptionable, {
                    path: _path + ".inlineStyleForm",
                    expected: "(__type.o10 | __type.o8 | undefined)",
                    value: input.inlineStyleForm
                })) && $vu0(input.inlineStyleForm, _path + ".inlineStyleForm", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".inlineStyleForm",
                    expected: "(__type.o10 | __type.o8 | undefined)",
                    value: input.inlineStyleForm
                }), undefined === input.group || ("object" === typeof input.group && null !== input.group && false === Array.isArray(input.group) || $report(_exceptionable, {
                    path: _path + ".group",
                    expected: "(Record<string, __type> | undefined)",
                    value: input.group
                })) && $vo18(input.group, _path + ".group", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".group",
                    expected: "(Record<string, __type> | undefined)",
                    value: input.group
                }), undefined === input.previewImageUrl || "string" === typeof input.previewImageUrl || $report(_exceptionable, {
                    path: _path + ".previewImageUrl",
                    expected: "(string | undefined)",
                    value: input.previewImageUrl
                }), undefined === input.componentType || "string" === typeof input.componentType || $report(_exceptionable, {
                    path: _path + ".componentType",
                    expected: "(string | undefined)",
                    value: input.componentType
                }), undefined === input.previewOperation || ("object" === typeof input.previewOperation && null !== input.previewOperation || $report(_exceptionable, {
                    path: _path + ".previewOperation",
                    expected: "(__type.o12 | undefined)",
                    value: input.previewOperation
                })) && $vo20(input.previewOperation, _path + ".previewOperation", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".previewOperation",
                    expected: "(__type.o12 | undefined)",
                    value: input.previewOperation
                }), undefined === input.recommendTypes || ("object" === typeof input.recommendTypes && null !== input.recommendTypes || $report(_exceptionable, {
                    path: _path + ".recommendTypes",
                    expected: "(__type.o14 | undefined)",
                    value: input.recommendTypes
                })) && $vo22(input.recommendTypes, _path + ".recommendTypes", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".recommendTypes",
                    expected: "(__type.o14 | undefined)",
                    value: input.recommendTypes
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "componentName", "title", "description", "icon", "category", "componentOrder", "platform", "visible", "templates", "deprecated", "renderMode", "docsUrl", "shortcut", "contextData", "positionConstraint", "keyWords", "propertyPanelTips", "stylePanelTips", "disableUpgradeAll", "validate", "inlineStyleForm", "group", "previewImageUrl", "componentType", "previewOperation", "recommendTypes"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo2 = (input, _path, _exceptionable = true) => [undefined === input.to || "string" === typeof input.to || $report(_exceptionable, {
                    path: _path + ".to",
                    expected: "(string | undefined)",
                    value: input.to
                }), undefined === input.when || "string" === typeof input.when || $report(_exceptionable, {
                    path: _path + ".when",
                    expected: "(string | undefined)",
                    value: input.when
                }), undefined === input.body || "string" === typeof input.body || $report(_exceptionable, {
                    path: _path + ".body",
                    expected: "(string | undefined)",
                    value: input.body
                }), undefined === input.autoSelectPath || "string" === typeof input.autoSelectPath && RegExp(/^template(.*)/).test(input.autoSelectPath) || $report(_exceptionable, {
                    path: _path + ".autoSelectPath",
                    expected: "(`template${string}` | undefined)",
                    value: input.autoSelectPath
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["to", "when", "body", "autoSelectPath"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo3 = (input, _path, _exceptionable = true) => ["string" === typeof input.component || $report(_exceptionable, {
                    path: _path + ".component",
                    expected: "string",
                    value: input.component
                }), "update" === input.renderType || "replace" === input.renderType || $report(_exceptionable, {
                    path: _path + ".renderType",
                    expected: "(\"replace\" | \"update\")",
                    value: input.renderType
                }), undefined === input.props || ("object" === typeof input.props && null !== input.props && false === Array.isArray(input.props) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(__type | undefined)",
                    value: input.props
                })) && $vo4(input.props, _path + ".props", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(__type | undefined)",
                    value: input.props
                }), undefined === input.materialName || "string" === typeof input.materialName || $report(_exceptionable, {
                    path: _path + ".materialName",
                    expected: "(string | undefined)",
                    value: input.materialName
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["component", "renderType", "props", "materialName", "description"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo4 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return "string" === typeof value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "string",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo5 = (input, _path, _exceptionable = true) => [undefined === input.props || (Array.isArray(input.props) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(Array<string> | undefined)",
                    value: input.props
                })) && input.props.map((elem, _index15) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".props[" + _index15 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(Array<string> | undefined)",
                    value: input.props
                }), undefined === input.extra || ("object" === typeof input.extra && null !== input.extra || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(Record<string, { 'x-component': \"container\"; 'x-component-props'?: string[] | undefined; 'x-index'?: number | undefined; 'x-insert-path'?: string | undefined; }> & Record<\"container\", { ...; }> | undefined)",
                    value: input.extra
                })) && $vo6(input.extra, _path + ".extra", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(Record<string, { 'x-component': \"container\"; 'x-component-props'?: string[] | undefined; 'x-index'?: number | undefined; 'x-insert-path'?: string | undefined; }> & Record<\"container\", { ...; }> | undefined)",
                    value: input.extra
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["props", "extra"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo6 = (input, _path, _exceptionable = true) => [("object" === typeof input.container && null !== input.container || $report(_exceptionable, {
                    path: _path + ".container",
                    expected: "__type.o1",
                    value: input.container
                })) && $vo7(input.container, _path + ".container", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".container",
                    expected: "__type.o1",
                    value: input.container
                }), false === _exceptionable || Object.keys(input).map(key => {
                    if (["container"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o2",
                            value: value
                        })) && $vo8(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o2",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo7 = (input, _path, _exceptionable = true) => ["string" === typeof input["x-component"] || $report(_exceptionable, {
                    path: _path + "[\"x-component\"]",
                    expected: "string",
                    value: input["x-component"]
                }), (Array.isArray(input["x-component-props"]) || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"]",
                    expected: "Array<string>",
                    value: input["x-component-props"]
                })) && input["x-component-props"].map((elem, _index16) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"][" + _index16 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"]",
                    expected: "Array<string>",
                    value: input["x-component-props"]
                }), "number" === typeof input["x-index"] || $report(_exceptionable, {
                    path: _path + "[\"x-index\"]",
                    expected: "number",
                    value: input["x-index"]
                }), 3 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["x-component", "x-component-props", "x-index"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo8 = (input, _path, _exceptionable = true) => ["container" === input["x-component"] || $report(_exceptionable, {
                    path: _path + "[\"x-component\"]",
                    expected: "\"container\"",
                    value: input["x-component"]
                }), undefined === input["x-component-props"] || (Array.isArray(input["x-component-props"]) || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"]",
                    expected: "(Array<string> | undefined)",
                    value: input["x-component-props"]
                })) && input["x-component-props"].map((elem, _index17) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"][" + _index17 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"]",
                    expected: "(Array<string> | undefined)",
                    value: input["x-component-props"]
                }), undefined === input["x-index"] || "number" === typeof input["x-index"] || $report(_exceptionable, {
                    path: _path + "[\"x-index\"]",
                    expected: "(number | undefined)",
                    value: input["x-index"]
                }), undefined === input["x-insert-path"] || "string" === typeof input["x-insert-path"] || $report(_exceptionable, {
                    path: _path + "[\"x-insert-path\"]",
                    expected: "(string | undefined)",
                    value: input["x-insert-path"]
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["x-component", "x-component-props", "x-index", "x-insert-path"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo9 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo10 = (input, _path, _exceptionable = true) => [undefined === input.allowChildren || (Array.isArray(input.allowChildren) || $report(_exceptionable, {
                    path: _path + ".allowChildren",
                    expected: "(Array<__type> | undefined)",
                    value: input.allowChildren
                })) && input.allowChildren.map((elem, _index18) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".allowChildren[" + _index18 + "]",
                    expected: "__type.o4",
                    value: elem
                })) && $vo11(elem, _path + ".allowChildren[" + _index18 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".allowChildren[" + _index18 + "]",
                    expected: "__type.o4",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".allowChildren",
                    expected: "(Array<__type> | undefined)",
                    value: input.allowChildren
                }), undefined === input.allowParent || (Array.isArray(input.allowParent) || $report(_exceptionable, {
                    path: _path + ".allowParent",
                    expected: "(Array<__type>.o1 | undefined)",
                    value: input.allowParent
                })) && input.allowParent.map((elem, _index19) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".allowParent[" + _index19 + "]",
                    expected: "__type.o5",
                    value: elem
                })) && $vo12(elem, _path + ".allowParent[" + _index19 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".allowParent[" + _index19 + "]",
                    expected: "__type.o5",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".allowParent",
                    expected: "(Array<__type>.o1 | undefined)",
                    value: input.allowParent
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["allowChildren", "allowParent"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo11 = (input, _path, _exceptionable = true) => ["string" === typeof input.componentType || $report(_exceptionable, {
                    path: _path + ".componentType",
                    expected: "string",
                    value: input.componentType
                }), undefined === input.recursive || "boolean" === typeof input.recursive || $report(_exceptionable, {
                    path: _path + ".recursive",
                    expected: "(boolean | undefined)",
                    value: input.recursive
                }), undefined === input.tip || "string" === typeof input.tip || $report(_exceptionable, {
                    path: _path + ".tip",
                    expected: "(string | undefined)",
                    value: input.tip
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["componentType", "recursive", "tip"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo12 = (input, _path, _exceptionable = true) => ["string" === typeof input.componentType || $report(_exceptionable, {
                    path: _path + ".componentType",
                    expected: "string",
                    value: input.componentType
                }), "boolean" === typeof input.recursive || $report(_exceptionable, {
                    path: _path + ".recursive",
                    expected: "boolean",
                    value: input.recursive
                }), undefined === input.tip || "string" === typeof input.tip || $report(_exceptionable, {
                    path: _path + ".tip",
                    expected: "(string | undefined)",
                    value: input.tip
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["componentType", "recursive", "tip"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo13 = (input, _path, _exceptionable = true) => ["string" === typeof input.rule || $report(_exceptionable, {
                    path: _path + ".rule",
                    expected: "string",
                    value: input.rule
                }), undefined === input.options || ("object" === typeof input.options && null !== input.options || $report(_exceptionable, {
                    path: _path + ".options",
                    expected: "(__type.o7 | undefined)",
                    value: input.options
                })) && $vo14(input.options, _path + ".options", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".options",
                    expected: "(__type.o7 | undefined)",
                    value: input.options
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["rule", "options"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo14 = (input, _path, _exceptionable = true) => ["string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "string",
                    value: input.title
                }), "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "string",
                    value: input.description
                }), "string" === typeof input.type || $report(_exceptionable, {
                    path: _path + ".type",
                    expected: "string",
                    value: input.type
                }), undefined === input.name || "string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), undefined === input.label || "string" === typeof input.label || $report(_exceptionable, {
                    path: _path + ".label",
                    expected: "(string | undefined)",
                    value: input.label
                }), undefined === input.tooltip || "string" === typeof input.tooltip || $report(_exceptionable, {
                    path: _path + ".tooltip",
                    expected: "(string | undefined)",
                    value: input.tooltip
                }), undefined === input.version || "string" === typeof input.version || $report(_exceptionable, {
                    path: _path + ".version",
                    expected: "(string | undefined)",
                    value: input.version
                }), undefined === input.allowFailure || "boolean" === typeof input.allowFailure || $report(_exceptionable, {
                    path: _path + ".allowFailure",
                    expected: "(boolean | undefined)",
                    value: input.allowFailure
                }), undefined === input.matchedSelectedPlatform || (Array.isArray(input.matchedSelectedPlatform) || $report(_exceptionable, {
                    path: _path + ".matchedSelectedPlatform",
                    expected: "(Array<\"h5\" | \"miniprogram\" | \"pc\"> | undefined)",
                    value: input.matchedSelectedPlatform
                })) && input.matchedSelectedPlatform.map((elem, _index20) => "h5" === elem || "miniprogram" === elem || "pc" === elem || $report(_exceptionable, {
                    path: _path + ".matchedSelectedPlatform[" + _index20 + "]",
                    expected: "(\"h5\" | \"miniprogram\" | \"pc\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".matchedSelectedPlatform",
                    expected: "(Array<\"h5\" | \"miniprogram\" | \"pc\"> | undefined)",
                    value: input.matchedSelectedPlatform
                }), undefined === input.matchedPublishedPlatform || (Array.isArray(input.matchedPublishedPlatform) || $report(_exceptionable, {
                    path: _path + ".matchedPublishedPlatform",
                    expected: "(Array<\"miniprogram\" | \"web\" | \"all\"> | undefined)",
                    value: input.matchedPublishedPlatform
                })) && input.matchedPublishedPlatform.map((elem, _index21) => "miniprogram" === elem || "web" === elem || "all" === elem || $report(_exceptionable, {
                    path: _path + ".matchedPublishedPlatform[" + _index21 + "]",
                    expected: "(\"all\" | \"miniprogram\" | \"web\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".matchedPublishedPlatform",
                    expected: "(Array<\"miniprogram\" | \"web\" | \"all\"> | undefined)",
                    value: input.matchedPublishedPlatform
                }), true, undefined === input.action || ("object" === typeof input.action && null !== input.action && false === Array.isArray(input.action) || $report(_exceptionable, {
                    path: _path + ".action",
                    expected: "(Record<string, unknown> | undefined)",
                    value: input.action
                })) && $vo9(input.action, _path + ".action", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".action",
                    expected: "(Record<string, unknown> | undefined)",
                    value: input.action
                }), false === _exceptionable || Object.keys(input).map(key => {
                    if (["title", "description", "type", "name", "label", "tooltip", "version", "allowFailure", "matchedSelectedPlatform", "matchedPublishedPlatform", "extra", "action"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo15 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o9",
                            value: value
                        })) && $vo16(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o9",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo16 = (input, _path, _exceptionable = true) => ["boolean" === typeof input.visible || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "boolean",
                    value: input.visible
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["visible"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo17 = (input, _path, _exceptionable = true) => [true === input.$blockedAll || $report(_exceptionable, {
                    path: _path + ".$blockedAll",
                    expected: "true",
                    value: input.$blockedAll
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["$blockedAll"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo18 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o11",
                            value: value
                        })) && $vo19(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o11",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo19 = (input, _path, _exceptionable = true) => ["number" === typeof input["x-index"] || $report(_exceptionable, {
                    path: _path + "[\"x-index\"]",
                    expected: "number",
                    value: input["x-index"]
                }), "boolean" === typeof input.expand || $report(_exceptionable, {
                    path: _path + ".expand",
                    expected: "boolean",
                    value: input.expand
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["x-index", "expand"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo20 = (input, _path, _exceptionable = true) => [undefined === input.headerIcon || "string" === typeof input.headerIcon || $report(_exceptionable, {
                    path: _path + ".headerIcon",
                    expected: "(string | undefined)",
                    value: input.headerIcon
                }), (Array.isArray(input.operation) || $report(_exceptionable, {
                    path: _path + ".operation",
                    expected: "Array<__type>.o3",
                    value: input.operation
                })) && input.operation.map((elem, _index22) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".operation[" + _index22 + "]",
                    expected: "__type.o13",
                    value: elem
                })) && $vo21(elem, _path + ".operation[" + _index22 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".operation[" + _index22 + "]",
                    expected: "__type.o13",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".operation",
                    expected: "Array<__type>.o3",
                    value: input.operation
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["headerIcon", "operation"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo21 = (input, _path, _exceptionable = true) => ["string" === typeof input.icon || $report(_exceptionable, {
                    path: _path + ".icon",
                    expected: "string",
                    value: input.icon
                }), "string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "string",
                    value: input.title
                }), "string" === typeof input.action || $report(_exceptionable, {
                    path: _path + ".action",
                    expected: "string",
                    value: input.action
                }), 3 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["icon", "title", "action"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo22 = (input, _path, _exceptionable = true) => [true, 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo23 = (input, _path, _exceptionable = true) => [undefined === input.name || "string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), undefined === input.componentName || "string" === typeof input.componentName || $report(_exceptionable, {
                    path: _path + ".componentName",
                    expected: "(string | undefined)",
                    value: input.componentName
                }), undefined === input.title || "string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "(string | undefined)",
                    value: input.title
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), undefined === input.icon || "string" === typeof input.icon || $report(_exceptionable, {
                    path: _path + ".icon",
                    expected: "(string | undefined)",
                    value: input.icon
                }), "string" === typeof input.category || $report(_exceptionable, {
                    path: _path + ".category",
                    expected: "string",
                    value: input.category
                }), undefined === input.componentOrder || "number" === typeof input.componentOrder && (1 <= input.componentOrder || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "number (@minimum 1)",
                    value: input.componentOrder
                })) && (10000 >= input.componentOrder || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "number (@maximum 10000)",
                    value: input.componentOrder
                })) || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "(number | undefined)",
                    value: input.componentOrder
                }), undefined === input.platform || (Array.isArray(input.platform) || $report(_exceptionable, {
                    path: _path + ".platform",
                    expected: "(Array<\"WEB\" | \"MOBILE\" | \"MP\" | \"PCWEB\" | \"MOBILEWEB\"> | undefined)",
                    value: input.platform
                })) && input.platform.map((elem, _index23) => "WEB" === elem || "MOBILE" === elem || "MP" === elem || "PCWEB" === elem || "MOBILEWEB" === elem || $report(_exceptionable, {
                    path: _path + ".platform[" + _index23 + "]",
                    expected: "(\"MOBILE\" | \"MOBILEWEB\" | \"MP\" | \"PCWEB\" | \"WEB\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".platform",
                    expected: "(Array<\"WEB\" | \"MOBILE\" | \"MP\" | \"PCWEB\" | \"MOBILEWEB\"> | undefined)",
                    value: input.platform
                }), undefined === input.visible || (Array.isArray(input.visible) || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "(Array<VisibleItem> | undefined)",
                    value: input.visible
                })) && input.visible.map((elem, _index24) => "APP" === elem || "COMPONENT" === elem || $report(_exceptionable, {
                    path: _path + ".visible[" + _index24 + "]",
                    expected: "(\"APP\" | \"COMPONENT\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "(Array<VisibleItem> | undefined)",
                    value: input.visible
                }), undefined === input.templates || (Array.isArray(input.templates) || $report(_exceptionable, {
                    path: _path + ".templates",
                    expected: "(Array<ITemplate> | undefined)",
                    value: input.templates
                })) && input.templates.map((elem, _index25) => ("object" === typeof elem && null !== elem && false === Array.isArray(elem) || $report(_exceptionable, {
                    path: _path + ".templates[" + _index25 + "]",
                    expected: "ITemplate",
                    value: elem
                })) && $vo2(elem, _path + ".templates[" + _index25 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".templates[" + _index25 + "]",
                    expected: "ITemplate",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".templates",
                    expected: "(Array<ITemplate> | undefined)",
                    value: input.templates
                }), undefined === input.deprecated || "boolean" === typeof input.deprecated || $report(_exceptionable, {
                    path: _path + ".deprecated",
                    expected: "(boolean | undefined)",
                    value: input.deprecated
                }), undefined === input.renderMode || (Array.isArray(input.renderMode) || $report(_exceptionable, {
                    path: _path + ".renderMode",
                    expected: "(Array<IRenderMode> | undefined)",
                    value: input.renderMode
                })) && input.renderMode.map((elem, _index26) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".renderMode[" + _index26 + "]",
                    expected: "IRenderMode",
                    value: elem
                })) && $vo3(elem, _path + ".renderMode[" + _index26 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".renderMode[" + _index26 + "]",
                    expected: "IRenderMode",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".renderMode",
                    expected: "(Array<IRenderMode> | undefined)",
                    value: input.renderMode
                }), undefined === input.docsUrl || "string" === typeof input.docsUrl || $report(_exceptionable, {
                    path: _path + ".docsUrl",
                    expected: "(string | undefined)",
                    value: input.docsUrl
                }), undefined === input.shortcut || ("object" === typeof input.shortcut && null !== input.shortcut && false === Array.isArray(input.shortcut) || $report(_exceptionable, {
                    path: _path + ".shortcut",
                    expected: "(IShortcut | undefined)",
                    value: input.shortcut
                })) && $vo24(input.shortcut, _path + ".shortcut", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".shortcut",
                    expected: "(IShortcut | undefined)",
                    value: input.shortcut
                }), undefined === input.contextData || ("object" === typeof input.contextData && null !== input.contextData && false === Array.isArray(input.contextData) || $report(_exceptionable, {
                    path: _path + ".contextData",
                    expected: "(Record<string, unknown> | undefined)",
                    value: input.contextData
                })) && $vo9(input.contextData, _path + ".contextData", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".contextData",
                    expected: "(Record<string, unknown> | undefined)",
                    value: input.contextData
                }), undefined === input.positionConstraint || ("object" === typeof input.positionConstraint && null !== input.positionConstraint && false === Array.isArray(input.positionConstraint) || $report(_exceptionable, {
                    path: _path + ".positionConstraint",
                    expected: "(__type.o3 | undefined)",
                    value: input.positionConstraint
                })) && $vo10(input.positionConstraint, _path + ".positionConstraint", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".positionConstraint",
                    expected: "(__type.o3 | undefined)",
                    value: input.positionConstraint
                }), undefined === input.keyWords || (Array.isArray(input.keyWords) || $report(_exceptionable, {
                    path: _path + ".keyWords",
                    expected: "(Array<string> | undefined)",
                    value: input.keyWords
                })) && input.keyWords.map((elem, _index27) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".keyWords[" + _index27 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".keyWords",
                    expected: "(Array<string> | undefined)",
                    value: input.keyWords
                }), undefined === input.propertyPanelTips || "string" === typeof input.propertyPanelTips || $report(_exceptionable, {
                    path: _path + ".propertyPanelTips",
                    expected: "(string | undefined)",
                    value: input.propertyPanelTips
                }), undefined === input.stylePanelTips || "string" === typeof input.stylePanelTips || $report(_exceptionable, {
                    path: _path + ".stylePanelTips",
                    expected: "(string | undefined)",
                    value: input.stylePanelTips
                }), undefined === input.disableUpgradeAll || "boolean" === typeof input.disableUpgradeAll || $report(_exceptionable, {
                    path: _path + ".disableUpgradeAll",
                    expected: "(boolean | undefined)",
                    value: input.disableUpgradeAll
                }), undefined === input.validate || (Array.isArray(input.validate) || $report(_exceptionable, {
                    path: _path + ".validate",
                    expected: "(Array<__type>.o2 | undefined)",
                    value: input.validate
                })) && input.validate.map((elem, _index28) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".validate[" + _index28 + "]",
                    expected: "__type.o6",
                    value: elem
                })) && $vo13(elem, _path + ".validate[" + _index28 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".validate[" + _index28 + "]",
                    expected: "__type.o6",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".validate",
                    expected: "(Array<__type>.o2 | undefined)",
                    value: input.validate
                }), undefined === input.inlineStyleForm || ("object" === typeof input.inlineStyleForm && null !== input.inlineStyleForm && false === Array.isArray(input.inlineStyleForm) || $report(_exceptionable, {
                    path: _path + ".inlineStyleForm",
                    expected: "(__type.o10 | __type.o8 | undefined)",
                    value: input.inlineStyleForm
                })) && $vu0(input.inlineStyleForm, _path + ".inlineStyleForm", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".inlineStyleForm",
                    expected: "(__type.o10 | __type.o8 | undefined)",
                    value: input.inlineStyleForm
                }), undefined === input.group || ("object" === typeof input.group && null !== input.group && false === Array.isArray(input.group) || $report(_exceptionable, {
                    path: _path + ".group",
                    expected: "(Record<string, __type> | undefined)",
                    value: input.group
                })) && $vo18(input.group, _path + ".group", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".group",
                    expected: "(Record<string, __type> | undefined)",
                    value: input.group
                }), undefined === input.previewImageUrl || "string" === typeof input.previewImageUrl || $report(_exceptionable, {
                    path: _path + ".previewImageUrl",
                    expected: "(string | undefined)",
                    value: input.previewImageUrl
                }), undefined === input.componentType || "string" === typeof input.componentType || $report(_exceptionable, {
                    path: _path + ".componentType",
                    expected: "(string | undefined)",
                    value: input.componentType
                }), undefined === input.previewOperation || ("object" === typeof input.previewOperation && null !== input.previewOperation || $report(_exceptionable, {
                    path: _path + ".previewOperation",
                    expected: "(__type.o12 | undefined)",
                    value: input.previewOperation
                })) && $vo20(input.previewOperation, _path + ".previewOperation", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".previewOperation",
                    expected: "(__type.o12 | undefined)",
                    value: input.previewOperation
                }), undefined === input.categoryOrder || "number" === typeof input.categoryOrder || $report(_exceptionable, {
                    path: _path + ".categoryOrder",
                    expected: "(number | undefined)",
                    value: input.categoryOrder
                }), true, undefined === input.recommendTypes || ("object" === typeof input.recommendTypes && null !== input.recommendTypes || $report(_exceptionable, {
                    path: _path + ".recommendTypes",
                    expected: "(__type.o15 | undefined)",
                    value: input.recommendTypes
                })) && $vo26(input.recommendTypes, _path + ".recommendTypes", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".recommendTypes",
                    expected: "(__type.o15 | undefined)",
                    value: input.recommendTypes
                }), undefined === input.selectableBlock || ("object" === typeof input.selectableBlock && null !== input.selectableBlock || $report(_exceptionable, {
                    path: _path + ".selectableBlock",
                    expected: "(__type.o16 | undefined)",
                    value: input.selectableBlock
                })) && $vo27(input.selectableBlock, _path + ".selectableBlock", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".selectableBlock",
                    expected: "(__type.o16 | undefined)",
                    value: input.selectableBlock
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "componentName", "title", "description", "icon", "category", "componentOrder", "platform", "visible", "templates", "deprecated", "renderMode", "docsUrl", "shortcut", "contextData", "positionConstraint", "keyWords", "propertyPanelTips", "stylePanelTips", "disableUpgradeAll", "validate", "inlineStyleForm", "group", "previewImageUrl", "componentType", "previewOperation", "categoryOrder", "platforms", "recommendTypes", "selectableBlock"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo24 = (input, _path, _exceptionable = true) => [undefined === input.props || (Array.isArray(input.props) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(Array<string> | undefined)",
                    value: input.props
                })) && input.props.map((elem, _index29) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".props[" + _index29 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(Array<string> | undefined)",
                    value: input.props
                }), undefined === input.extra || ("object" === typeof input.extra && null !== input.extra && false === Array.isArray(input.extra) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(Record<string, __type>.o1 | undefined)",
                    value: input.extra
                })) && $vo25(input.extra, _path + ".extra", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(Record<string, __type>.o1 | undefined)",
                    value: input.extra
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["props", "extra"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo25 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o2",
                            value: value
                        })) && $vo8(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o2",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo26 = (input, _path, _exceptionable = true) => [true, 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo27 = (input, _path, _exceptionable = true) => [(Array.isArray(input.events) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "Array<IEvent>",
                    value: input.events
                })) && input.events.map((elem, _index30) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".events[" + _index30 + "]",
                    expected: "IEvent",
                    value: elem
                })) && $vo28(elem, _path + ".events[" + _index30 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".events[" + _index30 + "]",
                    expected: "IEvent",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "Array<IEvent>",
                    value: input.events
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["events"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo28 = (input, _path, _exceptionable = true) => ["string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string",
                    value: input.name
                }), "string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "string",
                    value: input.title
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), undefined === input["x-platforms"] || (Array.isArray(input["x-platforms"]) || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"]",
                    expected: "(Array<\"WEB\" | \"MOBILE\" | \"MP\" | \"PCWEB\" | \"MOBILEWEB\"> | undefined)",
                    value: input["x-platforms"]
                })) && input["x-platforms"].map((elem, _index31) => "WEB" === elem || "MOBILE" === elem || "MP" === elem || "PCWEB" === elem || "MOBILEWEB" === elem || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"][" + _index31 + "]",
                    expected: "(\"MOBILE\" | \"MOBILEWEB\" | \"MP\" | \"PCWEB\" | \"WEB\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"]",
                    expected: "(Array<\"WEB\" | \"MOBILE\" | \"MP\" | \"PCWEB\" | \"MOBILEWEB\"> | undefined)",
                    value: input["x-platforms"]
                }), undefined === input.detail || ("object" === typeof input.detail && null !== input.detail && false === Array.isArray(input.detail) || $report(_exceptionable, {
                    path: _path + ".detail",
                    expected: "(Record<string, any> | undefined)",
                    value: input.detail
                })) && $vo29(input.detail, _path + ".detail", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".detail",
                    expected: "(Record<string, any> | undefined)",
                    value: input.detail
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "title", "description", "x-platforms", "detail"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo29 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo30 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return "string" === typeof value || "number" === typeof value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "(number | string)",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo31 = (input, _path, _exceptionable = true) => ["string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string",
                    value: input.name
                }), "string" === typeof input.selector || $report(_exceptionable, {
                    path: _path + ".selector",
                    expected: "string",
                    value: input.selector
                }), undefined === input.code || "string" === typeof input.code || $report(_exceptionable, {
                    path: _path + ".code",
                    expected: "(string | undefined)",
                    value: input.code
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "selector", "code", "description"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo32 = (input, _path, _exceptionable = true) => ["string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string",
                    value: input.name
                }), "string" === typeof input.label || $report(_exceptionable, {
                    path: _path + ".label",
                    expected: "string",
                    value: input.label
                }), true, undefined === input["x-platforms"] || (Array.isArray(input["x-platforms"]) || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"]",
                    expected: "(Array<string> | undefined)",
                    value: input["x-platforms"]
                })) && input["x-platforms"].map((elem, _index32) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"][" + _index32 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"]",
                    expected: "(Array<string> | undefined)",
                    value: input["x-platforms"]
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "label", "params", "x-platforms", "description"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo33 = (input, _path, _exceptionable = true) => [undefined === input.isDataContainer || "boolean" === typeof input.isDataContainer || $report(_exceptionable, {
                    path: _path + ".isDataContainer",
                    expected: "(boolean | undefined)",
                    value: input.isDataContainer
                }), undefined === input.componentType || "string" === typeof input.componentType || $report(_exceptionable, {
                    path: _path + ".componentType",
                    expected: "(string | undefined)",
                    value: input.componentType
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["isDataContainer", "componentType"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo34 = (input, _path, _exceptionable = true) => [undefined === input.id || "string" === typeof input.id || $report(_exceptionable, {
                    path: _path + ".id",
                    expected: "(string | undefined)",
                    value: input.id
                }), undefined === input.name || "string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), undefined === input.label || "string" === typeof input.label || $report(_exceptionable, {
                    path: _path + ".label",
                    expected: "(string | undefined)",
                    value: input.label
                }), undefined === input.module || "string" === typeof input.module || $report(_exceptionable, {
                    path: _path + ".module",
                    expected: "(string | undefined)",
                    value: input.module
                }), undefined === input.component || "string" === typeof input.component || $report(_exceptionable, {
                    path: _path + ".component",
                    expected: "(string | undefined)",
                    value: input.component
                }), undefined === input.type || "string" === typeof input.type || $report(_exceptionable, {
                    path: _path + ".type",
                    expected: "(string | undefined)",
                    value: input.type
                }), true, undefined === input.attributes || ("object" === typeof input.attributes && null !== input.attributes && false === Array.isArray(input.attributes) || $report(_exceptionable, {
                    path: _path + ".attributes",
                    expected: "(IAttributes | undefined)",
                    value: input.attributes
                })) && $vo35(input.attributes, _path + ".attributes", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".attributes",
                    expected: "(IAttributes | undefined)",
                    value: input.attributes
                }), undefined === input.events || ("object" === typeof input.events && null !== input.events && false === Array.isArray(input.events) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "(IEvents | undefined)",
                    value: input.events
                })) && $vo37(input.events, _path + ".events", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "(IEvents | undefined)",
                    value: input.events
                }), undefined === input.validity || ("object" === typeof input.validity && null !== input.validity && false === Array.isArray(input.validity) || $report(_exceptionable, {
                    path: _path + ".validity",
                    expected: "(IValidity | undefined)",
                    value: input.validity
                })) && $vo38(input.validity, _path + ".validity", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".validity",
                    expected: "(IValidity | undefined)",
                    value: input.validity
                }), true, undefined === input.items || (Array.isArray(input.items) || $report(_exceptionable, {
                    path: _path + ".items",
                    expected: "(Array<IComponent> | undefined)",
                    value: input.items
                })) && input.items.map((elem, _index33) => ("object" === typeof elem && null !== elem && false === Array.isArray(elem) || $report(_exceptionable, {
                    path: _path + ".items[" + _index33 + "]",
                    expected: "IComponent",
                    value: elem
                })) && $vo34(elem, _path + ".items[" + _index33 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".items[" + _index33 + "]",
                    expected: "IComponent",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".items",
                    expected: "(Array<IComponent> | undefined)",
                    value: input.items
                }), undefined === input.resources || (Array.isArray(input.resources) || $report(_exceptionable, {
                    path: _path + ".resources",
                    expected: "(Array<IResource> | undefined)",
                    value: input.resources
                })) && input.resources.map((elem, _index34) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".resources[" + _index34 + "]",
                    expected: "IResource",
                    value: elem
                })) && $vo39(elem, _path + ".resources[" + _index34 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".resources[" + _index34 + "]",
                    expected: "IResource",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".resources",
                    expected: "(Array<IResource> | undefined)",
                    value: input.resources
                }), undefined === input.listeners || (Array.isArray(input.listeners) || $report(_exceptionable, {
                    path: _path + ".listeners",
                    expected: "(Array<IListener> | undefined)",
                    value: input.listeners
                })) && input.listeners.map((elem, _index35) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".listeners[" + _index35 + "]",
                    expected: "IListener",
                    value: elem
                })) && $vo40(elem, _path + ".listeners[" + _index35 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".listeners[" + _index35 + "]",
                    expected: "IListener",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".listeners",
                    expected: "(Array<IListener> | undefined)",
                    value: input.listeners
                }), undefined === input.dataset || ("object" === typeof input.dataset && null !== input.dataset && false === Array.isArray(input.dataset) || $report(_exceptionable, {
                    path: _path + ".dataset",
                    expected: "(IDataset | undefined)",
                    value: input.dataset
                })) && $vo42(input.dataset, _path + ".dataset", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".dataset",
                    expected: "(IDataset | undefined)",
                    value: input.dataset
                }), undefined === input[":class"] || "string" === typeof input[":class"] || $report(_exceptionable, {
                    path: _path + "[\":class\"]",
                    expected: "(string | undefined)",
                    value: input[":class"]
                }), undefined === input[":style"] || "string" === typeof input[":style"] || $report(_exceptionable, {
                    path: _path + "[\":style\"]",
                    expected: "(string | undefined)",
                    value: input[":style"]
                }), undefined === input.scopedStyle || "string" === typeof input.scopedStyle || $report(_exceptionable, {
                    path: _path + ".scopedStyle",
                    expected: "(string | undefined)",
                    value: input.scopedStyle
                }), undefined === input.directives || ("object" === typeof input.directives && null !== input.directives && false === Array.isArray(input.directives) || $report(_exceptionable, {
                    path: _path + ".directives",
                    expected: "(__type.o18 | undefined)",
                    value: input.directives
                })) && $vo45(input.directives, _path + ".directives", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".directives",
                    expected: "(__type.o18 | undefined)",
                    value: input.directives
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["id", "name", "label", "module", "component", "type", "value", "attributes", "events", "validity", "extra", "items", "resources", "listeners", "dataset", ":class", ":style", "scopedStyle", "directives"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo35 = (input, _path, _exceptionable = true) => [undefined === input["class"] || "string" === typeof input["class"] || $report(_exceptionable, {
                    path: _path + "[\"class\"]",
                    expected: "(string | undefined)",
                    value: input["class"]
                }), undefined === input.style || ("object" === typeof input.style && null !== input.style && false === Array.isArray(input.style) || $report(_exceptionable, {
                    path: _path + ".style",
                    expected: "(object | undefined)",
                    value: input.style
                })) && $vo36(input.style, _path + ".style", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".style",
                    expected: "(object | undefined)",
                    value: input.style
                }), undefined === input.hide || "boolean" === typeof input.hide || $report(_exceptionable, {
                    path: _path + ".hide",
                    expected: "(boolean | undefined)",
                    value: input.hide
                }), false === _exceptionable || Object.keys(input).map(key => {
                    if (["class", "style", "hide"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo36 = (input, _path, _exceptionable = true) => [0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo37 = (input, _path, _exceptionable = true) => [undefined === input.clickEventName || "string" === typeof input.clickEventName && ($is_custom("default", "string", "'click'", input.clickEventName) || $report(_exceptionable, {
                    path: _path + ".clickEventName",
                    expected: "string (@default 'click')",
                    value: input.clickEventName
                })) || $report(_exceptionable, {
                    path: _path + ".clickEventName",
                    expected: "(string | undefined)",
                    value: input.clickEventName
                }), undefined === input.dblClickEventName || "string" === typeof input.dblClickEventName && ($is_custom("default", "string", "'dbClick'", input.dblClickEventName) || $report(_exceptionable, {
                    path: _path + ".dblClickEventName",
                    expected: "string (@default 'dbClick')",
                    value: input.dblClickEventName
                })) || $report(_exceptionable, {
                    path: _path + ".dblClickEventName",
                    expected: "(string | undefined)",
                    value: input.dblClickEventName
                }), undefined === input.mouseEnterEventName || "string" === typeof input.mouseEnterEventName && ($is_custom("default", "string", "'mouseEnter'", input.mouseEnterEventName) || $report(_exceptionable, {
                    path: _path + ".mouseEnterEventName",
                    expected: "string (@default 'mouseEnter')",
                    value: input.mouseEnterEventName
                })) || $report(_exceptionable, {
                    path: _path + ".mouseEnterEventName",
                    expected: "(string | undefined)",
                    value: input.mouseEnterEventName
                }), undefined === input.mouseLeaveEventName || "string" === typeof input.mouseLeaveEventName && ($is_custom("default", "string", "'mouseLeave'", input.mouseLeaveEventName) || $report(_exceptionable, {
                    path: _path + ".mouseLeaveEventName",
                    expected: "string (@default 'mouseLeave')",
                    value: input.mouseLeaveEventName
                })) || $report(_exceptionable, {
                    path: _path + ".mouseLeaveEventName",
                    expected: "(string | undefined)",
                    value: input.mouseLeaveEventName
                }), undefined === input.changeEventName || "string" === typeof input.changeEventName && ($is_custom("default", "string", "'change'", input.changeEventName) || $report(_exceptionable, {
                    path: _path + ".changeEventName",
                    expected: "string (@default 'change')",
                    value: input.changeEventName
                })) || $report(_exceptionable, {
                    path: _path + ".changeEventName",
                    expected: "(string | undefined)",
                    value: input.changeEventName
                }), undefined === input.dragStartEventName || "string" === typeof input.dragStartEventName && ($is_custom("default", "string", "'dragStart'", input.dragStartEventName) || $report(_exceptionable, {
                    path: _path + ".dragStartEventName",
                    expected: "string (@default 'dragStart')",
                    value: input.dragStartEventName
                })) || $report(_exceptionable, {
                    path: _path + ".dragStartEventName",
                    expected: "(string | undefined)",
                    value: input.dragStartEventName
                }), undefined === input.dragEventName || "string" === typeof input.dragEventName && ($is_custom("default", "string", "'drag'", input.dragEventName) || $report(_exceptionable, {
                    path: _path + ".dragEventName",
                    expected: "string (@default 'drag')",
                    value: input.dragEventName
                })) || $report(_exceptionable, {
                    path: _path + ".dragEventName",
                    expected: "(string | undefined)",
                    value: input.dragEventName
                }), undefined === input.dragEndEventName || "string" === typeof input.dragEndEventName && ($is_custom("default", "string", "'dragEnd'", input.dragEndEventName) || $report(_exceptionable, {
                    path: _path + ".dragEndEventName",
                    expected: "string (@default 'dragEnd')",
                    value: input.dragEndEventName
                })) || $report(_exceptionable, {
                    path: _path + ".dragEndEventName",
                    expected: "(string | undefined)",
                    value: input.dragEndEventName
                }), undefined === input.customEventName || "string" === typeof input.customEventName || $report(_exceptionable, {
                    path: _path + ".customEventName",
                    expected: "(string | undefined)",
                    value: input.customEventName
                }), undefined === input.lifecycleConnectedEventName || "string" === typeof input.lifecycleConnectedEventName || $report(_exceptionable, {
                    path: _path + ".lifecycleConnectedEventName",
                    expected: "(string | undefined)",
                    value: input.lifecycleConnectedEventName
                }), undefined === input.lifecycleDisconnectedEventName || "string" === typeof input.lifecycleDisconnectedEventName || $report(_exceptionable, {
                    path: _path + ".lifecycleDisconnectedEventName",
                    expected: "(string | undefined)",
                    value: input.lifecycleDisconnectedEventName
                }), undefined === input.lifecycleAdoptedEventName || "string" === typeof input.lifecycleAdoptedEventName || $report(_exceptionable, {
                    path: _path + ".lifecycleAdoptedEventName",
                    expected: "(string | undefined)",
                    value: input.lifecycleAdoptedEventName
                }), undefined === input.lifecycleAttributeChangedEventName || "string" === typeof input.lifecycleAttributeChangedEventName || $report(_exceptionable, {
                    path: _path + ".lifecycleAttributeChangedEventName",
                    expected: "(string | undefined)",
                    value: input.lifecycleAttributeChangedEventName
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["clickEventName", "dblClickEventName", "mouseEnterEventName", "mouseLeaveEventName", "changeEventName", "dragStartEventName", "dragEventName", "dragEndEventName", "customEventName", "lifecycleConnectedEventName", "lifecycleDisconnectedEventName", "lifecycleAdoptedEventName", "lifecycleAttributeChangedEventName"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo38 = (input, _path, _exceptionable = true) => [undefined === input.required || "boolean" === typeof input.required || $report(_exceptionable, {
                    path: _path + ".required",
                    expected: "(boolean | undefined)",
                    value: input.required
                }), undefined === input.format || "string" === typeof input.format || $report(_exceptionable, {
                    path: _path + ".format",
                    expected: "(string | undefined)",
                    value: input.format
                }), undefined === input.min || "number" === typeof input.min || $report(_exceptionable, {
                    path: _path + ".min",
                    expected: "(number | undefined)",
                    value: input.min
                }), undefined === input.max || "number" === typeof input.max || $report(_exceptionable, {
                    path: _path + ".max",
                    expected: "(number | undefined)",
                    value: input.max
                }), undefined === input.pattern || "string" === typeof input.pattern || $report(_exceptionable, {
                    path: _path + ".pattern",
                    expected: "(string | undefined)",
                    value: input.pattern
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["required", "format", "min", "max", "pattern"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo39 = (input, _path, _exceptionable = true) => ["string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string",
                    value: input.name
                }), "string" === typeof input.type || $report(_exceptionable, {
                    path: _path + ".type",
                    expected: "string",
                    value: input.type
                }), false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "type"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo40 = (input, _path, _exceptionable = true) => [undefined === input.id || "string" === typeof input.id || $report(_exceptionable, {
                    path: _path + ".id",
                    expected: "(string | undefined)",
                    value: input.id
                }), undefined === input.isCapturePhase || "boolean" === typeof input.isCapturePhase || $report(_exceptionable, {
                    path: _path + ".isCapturePhase",
                    expected: "(boolean | undefined)",
                    value: input.isCapturePhase
                }), undefined === input.type || "string" === typeof input.type || $report(_exceptionable, {
                    path: _path + ".type",
                    expected: "(string | undefined)",
                    value: input.type
                }), undefined === input.handler || ("object" === typeof input.handler && null !== input.handler || $report(_exceptionable, {
                    path: _path + ".handler",
                    expected: "(IHandler | undefined)",
                    value: input.handler
                })) && $vo41(input.handler, _path + ".handler", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".handler",
                    expected: "(IHandler | undefined)",
                    value: input.handler
                }), "string" === typeof input.eventName || $report(_exceptionable, {
                    path: _path + ".eventName",
                    expected: "string",
                    value: input.eventName
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["id", "isCapturePhase", "type", "handler", "eventName"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo41 = (input, _path, _exceptionable = true) => ["string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string",
                    value: input.name
                }), undefined === input.module || "string" === typeof input.module || $report(_exceptionable, {
                    path: _path + ".module",
                    expected: "(string | undefined)",
                    value: input.module
                }), undefined === input.code || "string" === typeof input.code && ($is_custom("deprecated", "string", "\u53EF\u9009\uFF0Chandler inline \u4EE3\u7801", input.code) || $report(_exceptionable, {
                    path: _path + ".code",
                    expected: "string (@deprecated \u53EF\u9009\uFF0Chandler inline \u4EE3\u7801)",
                    value: input.code
                })) || $report(_exceptionable, {
                    path: _path + ".code",
                    expected: "(string | undefined)",
                    value: input.code
                }), undefined === input[":code"] || "string" === typeof input[":code"] || $report(_exceptionable, {
                    path: _path + "[\":code\"]",
                    expected: "(string | undefined)",
                    value: input[":code"]
                }), (null !== input.params || $report(_exceptionable, {
                    path: _path + ".params",
                    expected: "(Array<any> | object | undefined)",
                    value: input.params
                })) && (undefined === input.params || (Array.isArray(input.params) || "object" === typeof input.params && null !== input.params && false === Array.isArray(input.params) && $vo36(input.params, _path + ".params", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".params",
                    expected: "(Array<any> | object | undefined)",
                    value: input.params
                })) || $report(_exceptionable, {
                    path: _path + ".params",
                    expected: "(Array<any> | object | undefined)",
                    value: input.params
                })), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "module", "code", ":code", "params"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo42 = (input, _path, _exceptionable = true) => [undefined === input.state || ("object" === typeof input.state && null !== input.state && false === Array.isArray(input.state) || $report(_exceptionable, {
                    path: _path + ".state",
                    expected: "(Record<string, any> | undefined)",
                    value: input.state
                })) && $vo29(input.state, _path + ".state", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".state",
                    expected: "(Record<string, any> | undefined)",
                    value: input.state
                }), undefined === input.params || ("object" === typeof input.params && null !== input.params && false === Array.isArray(input.params) || $report(_exceptionable, {
                    path: _path + ".params",
                    expected: "(Record<string, IParamsVariable> | undefined)",
                    value: input.params
                })) && $vo43(input.params, _path + ".params", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".params",
                    expected: "(Record<string, IParamsVariable> | undefined)",
                    value: input.params
                }), undefined === input.pageName || "string" === typeof input.pageName && ($is_custom("deprecated", "string", "\u8BF7\u4F7F\u7528\u9875\u9762 attributes.title \u4EE3\u66FF", input.pageName) || $report(_exceptionable, {
                    path: _path + ".pageName",
                    expected: "string (@deprecated \u8BF7\u4F7F\u7528\u9875\u9762 attributes.title \u4EE3\u66FF)",
                    value: input.pageName
                })) || $report(_exceptionable, {
                    path: _path + ".pageName",
                    expected: "(string | undefined)",
                    value: input.pageName
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["state", "params", "pageName"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo43 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "IParamsVariable",
                            value: value
                        })) && $vo44(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "IParamsVariable",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo44 = (input, _path, _exceptionable = true) => ["string" === typeof input.label || $report(_exceptionable, {
                    path: _path + ".label",
                    expected: "string",
                    value: input.label
                }), undefined === input.required || "boolean" === typeof input.required || $report(_exceptionable, {
                    path: _path + ".required",
                    expected: "(boolean | undefined)",
                    value: input.required
                }), undefined === input.sampleValue || "string" === typeof input.sampleValue || $report(_exceptionable, {
                    path: _path + ".sampleValue",
                    expected: "(string | undefined)",
                    value: input.sampleValue
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["label", "required", "sampleValue"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo45 = (input, _path, _exceptionable = true) => [undefined === input[":if"] || "string" === typeof input[":if"] && ($is_custom("default", "string", "true", input[":if"]) || $report(_exceptionable, {
                    path: _path + "[\":if\"]",
                    expected: "string (@default true)",
                    value: input[":if"]
                })) || "boolean" === typeof input[":if"] || $report(_exceptionable, {
                    path: _path + "[\":if\"]",
                    expected: "(boolean | string | undefined)",
                    value: input[":if"]
                }), undefined === input[":display"] || "string" === typeof input[":display"] && ($is_custom("default", "string", "true", input[":display"]) || $report(_exceptionable, {
                    path: _path + "[\":display\"]",
                    expected: "string (@default true)",
                    value: input[":display"]
                })) || "boolean" === typeof input[":display"] || $report(_exceptionable, {
                    path: _path + "[\":display\"]",
                    expected: "(boolean | string | undefined)",
                    value: input[":display"]
                }), undefined === input[":for"] || "string" === typeof input[":for"] || $report(_exceptionable, {
                    path: _path + "[\":for\"]",
                    expected: "(string | undefined)",
                    value: input[":for"]
                }), undefined === input.key || "string" === typeof input.key || $report(_exceptionable, {
                    path: _path + ".key",
                    expected: "(string | undefined)",
                    value: input.key
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if ([":if", ":display", ":for", "key"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo46 = (input, _path, _exceptionable = true) => [undefined === input.attributes || ("object" === typeof input.attributes && null !== input.attributes && false === Array.isArray(input.attributes) || $report(_exceptionable, {
                    path: _path + ".attributes",
                    expected: "(IPlatformAttributes | undefined)",
                    value: input.attributes
                })) && $vo47(input.attributes, _path + ".attributes", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".attributes",
                    expected: "(IPlatformAttributes | undefined)",
                    value: input.attributes
                }), undefined === input.type || "BASIC" === input.type || "COMPLEX" === input.type || "PAGE" === input.type || $report(_exceptionable, {
                    path: _path + ".type",
                    expected: "(\"BASIC\" | \"COMPLEX\" | \"PAGE\" | undefined)",
                    value: input.type
                }), undefined === input.listeners || (Array.isArray(input.listeners) || $report(_exceptionable, {
                    path: _path + ".listeners",
                    expected: "(Array<IPlatformListener> | undefined)",
                    value: input.listeners
                })) && input.listeners.map((elem, _index36) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".listeners[" + _index36 + "]",
                    expected: "IPlatformListener",
                    value: elem
                })) && $vo48(elem, _path + ".listeners[" + _index36 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".listeners[" + _index36 + "]",
                    expected: "IPlatformListener",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".listeners",
                    expected: "(Array<IPlatformListener> | undefined)",
                    value: input.listeners
                }), undefined === input.extra || ("object" === typeof input.extra && null !== input.extra && false === Array.isArray(input.extra) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(IPlatformComponentExtra | undefined)",
                    value: input.extra
                })) && $vo52(input.extra, _path + ".extra", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(IPlatformComponentExtra | undefined)",
                    value: input.extra
                }), undefined === input.items || (Array.isArray(input.items) || $report(_exceptionable, {
                    path: _path + ".items",
                    expected: "(Array<IPlatformComponent> | undefined)",
                    value: input.items
                })) && input.items.map((elem, _index37) => ("object" === typeof elem && null !== elem && false === Array.isArray(elem) || $report(_exceptionable, {
                    path: _path + ".items[" + _index37 + "]",
                    expected: "IPlatformComponent",
                    value: elem
                })) && $vo46(elem, _path + ".items[" + _index37 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".items[" + _index37 + "]",
                    expected: "IPlatformComponent",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".items",
                    expected: "(Array<IPlatformComponent> | undefined)",
                    value: input.items
                }), undefined === input.name || "string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), undefined === input.id || "string" === typeof input.id || $report(_exceptionable, {
                    path: _path + ".id",
                    expected: "(string | undefined)",
                    value: input.id
                }), undefined === input.label || "string" === typeof input.label || $report(_exceptionable, {
                    path: _path + ".label",
                    expected: "(string | undefined)",
                    value: input.label
                }), undefined === input.module || "string" === typeof input.module || $report(_exceptionable, {
                    path: _path + ".module",
                    expected: "(string | undefined)",
                    value: input.module
                }), undefined === input.component || "string" === typeof input.component || $report(_exceptionable, {
                    path: _path + ".component",
                    expected: "(string | undefined)",
                    value: input.component
                }), undefined === input.resources || (Array.isArray(input.resources) || $report(_exceptionable, {
                    path: _path + ".resources",
                    expected: "(Array<IResource> | undefined)",
                    value: input.resources
                })) && input.resources.map((elem, _index38) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".resources[" + _index38 + "]",
                    expected: "IResource",
                    value: elem
                })) && $vo39(elem, _path + ".resources[" + _index38 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".resources[" + _index38 + "]",
                    expected: "IResource",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".resources",
                    expected: "(Array<IResource> | undefined)",
                    value: input.resources
                }), undefined === input.dataset || ("object" === typeof input.dataset && null !== input.dataset && false === Array.isArray(input.dataset) || $report(_exceptionable, {
                    path: _path + ".dataset",
                    expected: "(IDataset | undefined)",
                    value: input.dataset
                })) && $vo42(input.dataset, _path + ".dataset", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".dataset",
                    expected: "(IDataset | undefined)",
                    value: input.dataset
                }), undefined === input[":class"] || "string" === typeof input[":class"] || $report(_exceptionable, {
                    path: _path + "[\":class\"]",
                    expected: "(string | undefined)",
                    value: input[":class"]
                }), undefined === input[":style"] || "string" === typeof input[":style"] || $report(_exceptionable, {
                    path: _path + "[\":style\"]",
                    expected: "(string | undefined)",
                    value: input[":style"]
                }), undefined === input.scopedStyle || "string" === typeof input.scopedStyle || $report(_exceptionable, {
                    path: _path + ".scopedStyle",
                    expected: "(string | undefined)",
                    value: input.scopedStyle
                }), undefined === input.directives || ("object" === typeof input.directives && null !== input.directives && false === Array.isArray(input.directives) || $report(_exceptionable, {
                    path: _path + ".directives",
                    expected: "(__type.o18 | undefined)",
                    value: input.directives
                })) && $vo45(input.directives, _path + ".directives", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".directives",
                    expected: "(__type.o18 | undefined)",
                    value: input.directives
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["attributes", "type", "listeners", "extra", "items", "name", "id", "label", "module", "component", "resources", "dataset", ":class", ":style", "scopedStyle", "directives"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo47 = (input, _path, _exceptionable = true) => [undefined === input.theme || "string" === typeof input.theme || $report(_exceptionable, {
                    path: _path + ".theme",
                    expected: "(string | undefined)",
                    value: input.theme
                }), undefined === input["class"] || "string" === typeof input["class"] || $report(_exceptionable, {
                    path: _path + "[\"class\"]",
                    expected: "(string | undefined)",
                    value: input["class"]
                }), undefined === input.style || ("object" === typeof input.style && null !== input.style && false === Array.isArray(input.style) || $report(_exceptionable, {
                    path: _path + ".style",
                    expected: "(object | undefined)",
                    value: input.style
                })) && $vo36(input.style, _path + ".style", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".style",
                    expected: "(object | undefined)",
                    value: input.style
                }), undefined === input.hide || "boolean" === typeof input.hide || $report(_exceptionable, {
                    path: _path + ".hide",
                    expected: "(boolean | undefined)",
                    value: input.hide
                }), false === _exceptionable || Object.keys(input).map(key => {
                    if (["theme", "class", "style", "hide"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo48 = (input, _path, _exceptionable = true) => ["string" === typeof input.id || $report(_exceptionable, {
                    path: _path + ".id",
                    expected: "string",
                    value: input.id
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), undefined === input.extra || ("object" === typeof input.extra && null !== input.extra && false === Array.isArray(input.extra) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(__type.o19 | undefined)",
                    value: input.extra
                })) && $vo49(input.extra, _path + ".extra", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(__type.o19 | undefined)",
                    value: input.extra
                }), undefined === input.isCapturePhase || "boolean" === typeof input.isCapturePhase || $report(_exceptionable, {
                    path: _path + ".isCapturePhase",
                    expected: "(boolean | undefined)",
                    value: input.isCapturePhase
                }), undefined === input.type || "string" === typeof input.type || $report(_exceptionable, {
                    path: _path + ".type",
                    expected: "(string | undefined)",
                    value: input.type
                }), undefined === input.handler || ("object" === typeof input.handler && null !== input.handler || $report(_exceptionable, {
                    path: _path + ".handler",
                    expected: "(IHandler | undefined)",
                    value: input.handler
                })) && $vo41(input.handler, _path + ".handler", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".handler",
                    expected: "(IHandler | undefined)",
                    value: input.handler
                }), "string" === typeof input.eventName || $report(_exceptionable, {
                    path: _path + ".eventName",
                    expected: "string",
                    value: input.eventName
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["id", "description", "extra", "isCapturePhase", "type", "handler", "eventName"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo49 = (input, _path, _exceptionable = true) => [undefined === input.handlerParamExtraData || ("object" === typeof input.handlerParamExtraData && null !== input.handlerParamExtraData && false === Array.isArray(input.handlerParamExtraData) || $report(_exceptionable, {
                    path: _path + ".handlerParamExtraData",
                    expected: "(__type.o20 | undefined)",
                    value: input.handlerParamExtraData
                })) && $vo50(input.handlerParamExtraData, _path + ".handlerParamExtraData", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".handlerParamExtraData",
                    expected: "(__type.o20 | undefined)",
                    value: input.handlerParamExtraData
                }), undefined === input.handlerAragsExtraData || ("object" === typeof input.handlerAragsExtraData && null !== input.handlerAragsExtraData && false === Array.isArray(input.handlerAragsExtraData) || $report(_exceptionable, {
                    path: _path + ".handlerAragsExtraData",
                    expected: "(__type.o21 | undefined)",
                    value: input.handlerAragsExtraData
                })) && $vo51(input.handlerAragsExtraData, _path + ".handlerAragsExtraData", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".handlerAragsExtraData",
                    expected: "(__type.o21 | undefined)",
                    value: input.handlerAragsExtraData
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["handlerParamExtraData", "handlerAragsExtraData"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo50 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo51 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo52 = (input, _path, _exceptionable = true) => [undefined === input.commonStyle || ("object" === typeof input.commonStyle && null !== input.commonStyle && false === Array.isArray(input.commonStyle) || $report(_exceptionable, {
                    path: _path + ".commonStyle",
                    expected: "(object | undefined)",
                    value: input.commonStyle
                })) && $vo36(input.commonStyle, _path + ".commonStyle", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".commonStyle",
                    expected: "(object | undefined)",
                    value: input.commonStyle
                }), undefined === input.xIndex || "number" === typeof input.xIndex && ($is_custom("deprecated", "number", "\u53EF\u9009\uFF0C\u7EC4\u4EF6\u987A\u5E8F formily x-index\nhttps://github.com/alibaba/formily/blob/master/packages/react-schema-renderer/README.md", input.xIndex) || $report(_exceptionable, {
                    path: _path + ".xIndex",
                    expected: "number (@deprecated \u53EF\u9009\uFF0C\u7EC4\u4EF6\u987A\u5E8F formily x-index\nhttps://github.com/alibaba/formily/blob/master/packages/react-schema-renderer/README.md)",
                    value: input.xIndex
                })) || $report(_exceptionable, {
                    path: _path + ".xIndex",
                    expected: "(number | undefined)",
                    value: input.xIndex
                }), undefined === input.staticResourceAttribute || (Array.isArray(input.staticResourceAttribute) || $report(_exceptionable, {
                    path: _path + ".staticResourceAttribute",
                    expected: "(Array<string> | undefined)",
                    value: input.staticResourceAttribute
                })) && input.staticResourceAttribute.map((elem, _index39) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".staticResourceAttribute[" + _index39 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".staticResourceAttribute",
                    expected: "(Array<string> | undefined)",
                    value: input.staticResourceAttribute
                }), undefined === input.styleBindPath || "string" === typeof input.styleBindPath || $report(_exceptionable, {
                    path: _path + ".styleBindPath",
                    expected: "(string | undefined)",
                    value: input.styleBindPath
                }), undefined === input.hideAdminPortalMenu || "boolean" === typeof input.hideAdminPortalMenu || $report(_exceptionable, {
                    path: _path + ".hideAdminPortalMenu",
                    expected: "(boolean | undefined)",
                    value: input.hideAdminPortalMenu
                }), undefined === input.attributeExtraData || ("object" === typeof input.attributeExtraData && null !== input.attributeExtraData && false === Array.isArray(input.attributeExtraData) || $report(_exceptionable, {
                    path: _path + ".attributeExtraData",
                    expected: "(__type.o22 | undefined)",
                    value: input.attributeExtraData
                })) && $vo53(input.attributeExtraData, _path + ".attributeExtraData", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".attributeExtraData",
                    expected: "(__type.o22 | undefined)",
                    value: input.attributeExtraData
                }), undefined === input.anchored || "boolean" === typeof input.anchored || $report(_exceptionable, {
                    path: _path + ".anchored",
                    expected: "(boolean | undefined)",
                    value: input.anchored
                }), undefined === input.dataForm || ("object" === typeof input.dataForm && null !== input.dataForm && false === Array.isArray(input.dataForm) || $report(_exceptionable, {
                    path: _path + ".dataForm",
                    expected: "(Record<string, __type>.o2 | undefined)",
                    value: input.dataForm
                })) && $vo54(input.dataForm, _path + ".dataForm", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".dataForm",
                    expected: "(Record<string, __type>.o2 | undefined)",
                    value: input.dataForm
                }), undefined === input.ref || "string" === typeof input.ref || $report(_exceptionable, {
                    path: _path + ".ref",
                    expected: "(string | undefined)",
                    value: input.ref
                }), undefined === input.refAttributes || ("object" === typeof input.refAttributes && null !== input.refAttributes && false === Array.isArray(input.refAttributes) || $report(_exceptionable, {
                    path: _path + ".refAttributes",
                    expected: "(IPlatformAttributes | undefined)",
                    value: input.refAttributes
                })) && $vo47(input.refAttributes, _path + ".refAttributes", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".refAttributes",
                    expected: "(IPlatformAttributes | undefined)",
                    value: input.refAttributes
                }), undefined === input.include || (Array.isArray(input.include) || $report(_exceptionable, {
                    path: _path + ".include",
                    expected: "(Array<string> | undefined)",
                    value: input.include
                })) && input.include.map((elem, _index40) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".include[" + _index40 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".include",
                    expected: "(Array<string> | undefined)",
                    value: input.include
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["commonStyle", "xIndex", "staticResourceAttribute", "styleBindPath", "hideAdminPortalMenu", "attributeExtraData", "anchored", "dataForm", "ref", "refAttributes", "include"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo53 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo54 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o23",
                            value: value
                        })) && $vo55(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o23",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo55 = (input, _path, _exceptionable = true) => ["string" === typeof input.type || $report(_exceptionable, {
                    path: _path + ".type",
                    expected: "string",
                    value: input.type
                }), "string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "string",
                    value: input.title
                }), false === _exceptionable || Object.keys(input).map(key => {
                    if (["type", "title"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vu0 = (input, _path, _exceptionable = true) => (() => {
                if (undefined !== input.$blockedAll)
                    return $vo17(input, _path, true && _exceptionable);
                return $vo15(input, _path, true && _exceptionable);
            })();
            return ("object" === typeof input && null !== input && false === Array.isArray(input) || $report(true, {
                path: _path + "",
                expected: "IComponentConfig",
                value: input
            })) && $vo0(input, _path + "", true) || $report(true, {
                path: _path + "",
                expected: "IComponentConfig",
                value: input
            });
        })(input, "$input", true);
    }
    const success = 0 === errors.length;
    return {
        success,
        errors,
        data: success ? input : undefined
    };
};
exports.check = check;
